# Azure Maps Drawing Tools Module (Preview)

The [Azure Maps](https://azure.com/maps) Drawing Tools module provides a set of tools for adding drawing capabilities using a mouse or touch to the Azure Maps Web Control. Develop with the control using JavaScript or TypeScript.

**Note:** This module is currently in preview. 

## Features

* Toolbar control
* Draw: points, lines, polygons, circles, rectangle
* Drawing interaction types: freehand, click, hybrid
* Touch support
* Keyboard shortcuts

## How to Install

You can embed the Azure Maps Drawing Tools module source code into your app by installing the NPM package:

> npm install azure-maps-drawing-tools

This package includes a minified version of the source code as well as the TypeScript definitions for the Azure Maps Drawing Tools module. 


Alternatively, you can also reference the hosted version of the Azure Maps Drawing Tools module by adding the following script tags to your application. 

```html
<link rel="stylesheet" href="https://atlas.microsoft.com/sdk/javascript/drawing/0/atlas-drawing.min.css" type="text/css" />
<script src="https://atlas.microsoft.com/sdk/javascript/drawing/0/atlas-drawing.min.js"></script>
```

## Developer Resources

* [How-to Documentation](https://aka.ms/AzureMapsDrawingToolsHowTo)
* [API Reference Documentation](https://aka.ms/AzureMapsDrawingToolsReference)
* [Code Samples](https://aka.ms/azuremapssamples)
* [Videos](https://aka.ms/AzureMapsVideos)

## Related Packages

* [Azure Maps Web Control](https://www.npmjs.com/package/azure-maps-control) - An interactive map control for use in web apps. 
* [Azure Maps Search Module](https://www.npmjs.com/package/azure-maps-rest) - A JavaScript library that makes it easy to work with the Azure Maps REST services in any web or NodeJS app. 