/*
MICROSOFT SOFTWARE LICENSE TERMS
MICROSOFT AZURE MAPS WEB SDK

These license terms are an agreement between you and Microsoft Corporation (or one of its affiliates). They apply to the software named above and any Microsoft services or software updates (except to the extent such services or updates are accompanied by new or additional terms, in which case those different terms apply prospectively and do not alter your or Microsoft’s rights relating to pre-updated software or services). IF YOU COMPLY WITH THESE LICENSE TERMS, YOU HAVE THE RIGHTS BELOW.  BY USING THE SOFTWARE, YOU ACCEPT THESE TERMS.

1. INSTALLATION AND USE RIGHTS.
  a) General. You may install and use any number of copies of the software to develop and test your applications.
  b) User Region Parameters. The software will allow you to select from a View list to set the map view within your application for a given customer. By default the View parameter (also referred to as “user region parameter” is set to “Unified”.  Countries/Regions that are not on the View list will default to the “Unified” View. It is your responsibility to determine the location of your users, and then set the View parameter correctly for that location. The View parameter must be used in compliance with applicable laws, including those regarding mapping, of the country where maps, images and other data and third party content that You are authorized to access via the software is made available. 
  c) Third Party Software. The software may include third party applications that Microsoft, not the third party, licenses to you under this agreement. Any included notices for third party applications are for your information only.
  d) Microsoft Online Subscription Agreement. Some features of the software provide access to, or rely on, Microsoft Azure Services. The use of those services (but not the software) is governed by the separate terms and privacy policies associated with your Microsoft Azure subscription. The services may not be available in all regions. For more information see https://go.microsoft.com/fwLink/?LinkID=522330&amp;clcid=0x9.

2. DISTRIBUTABLE CODE. The software is comprised of “Distributable Code”. “Distributable Code” is code that you are permitted to distribute in applications you develop if you comply with the terms below and otherwise set forth in these license terms. 
  a) Distribution Rights. 
    i. You may copy and distribute the object code form of the software.
    i. Third Party Distribution. You may permit distributors of your applications to copy and distribute any of this distributable code you elect to distribute with your applications.
  b) Distribution Requirements. For any code you distribute, you must:
    i. add significant primary functionality to it in your applications;
    ii. require distributors and external end users to agree to terms that protect it and Microsoft at least as much as this agreement; and
    iii. indemnify, defend, and hold harmless Microsoft from any claims, including attorneys’ fees, related to the distribution or use of your applications, except to the extent that any claim is based solely on the unmodified distributable code.
  c) Distribution Restrictions. You may not:
    i. use Microsoft’s trademarks or trade dress in your application in any way that suggests your application comes from or is endorsed by Microsoft; or
    ii. modify or distribute the source code of any distributable code so that any part of it becomes subject to any license that requires that the distributable code, any other part of the software, or any of Microsoft’s other intellectual property be disclosed or distributed in source code form, or that others have the right to modify it.

3. DATA COLLECTION. The software may collect information about you and your use of the software and send that to Microsoft. Microsoft may use this information to provide services and improve Microsoft’s products and services. Your opt-out rights, if any, are described in the product documentation. Some features in the software may enable collection of data from users of your applications that access or use the software. If you use these features to enable data collection in your applications, you must comply with applicable law, including getting any required user consent, and maintain a prominent privacy policy that accurately informs users about how you use, collect, and share their data. You can learn more about Microsoft’s data collection and use in the product documentation and the Microsoft Privacy Statement at https://go.microsoft.com/fwlink/?LinkId=512132. You agree to comply with all applicable provisions of the Microsoft Privacy Statement.

4. SCOPE OF LICENSE. The software is licensed, not sold. Microsoft reserves all other rights. Unless applicable law gives you more rights despite this limitation, you will not (and have no right to):
  a) work around any technical limitations in the software that only allow you to use it in certain ways;
  b) reverse engineer, decompile, or disassemble the software, or attempt to do so, except and only to the extent permitted by licensing terms governing the use of open-source components that may be included with the software;
  c) remove, minimize, block, or modify any notices of Microsoft or its suppliers in the software;
  d) use the software in any way that is against the law or to create or propagate malware; or
  e) share, publish, distribute, or lend the software (except for any distributable code, subject to the terms above), provide the software as a stand-alone hosted solution for others to use, or transfer the software or this agreement to any third party.

5. EXPORT RESTRICTIONS. You must comply with all domestic and international export laws and regulations that apply to the software, which include restrictions on destinations, end users, and end use. For further information on export restrictions, visit http://aka.ms/exporting.

6. SUPPORT SERVICES. Microsoft is not obligated under this agreement to provide any support services for the software. Any support provided is “as is”, “with all faults”, and without warranty of any kind.

7. UPDATES. The software may periodically check for updates, and download and install them for you. You may obtain updates only from Microsoft or authorized sources. Microsoft may need to update your system to provide you with updates. You agree to receive these automatic updates without any additional notice. Updates may not include or support all existing software features, services, or peripheral devices.

8. ENTIRE AGREEMENT. This agreement, and any other terms Microsoft may provide for supplements, updates, or third-party applications, is the entire agreement for the software.

9. APPLICABLE LAW AND PLACE TO RESOLVE DISPUTES. If you acquired the software in the United States or Canada, the laws of the state or province where you live (or, if a business, where your principal place of business is located) govern the interpretation of this agreement, claims for its breach, and all other claims (including consumer protection, unfair competition, and tort claims), regardless of conflict of laws principles. If you acquired the software in any other country, its laws apply. If U.S. federal jurisdiction exists, you and Microsoft consent to exclusive jurisdiction and venue in the federal court in King County, Washington for all disputes heard in court. If not, you and Microsoft consent to exclusive jurisdiction and venue in the Superior Court of King County, Washington for all disputes heard in court.

10. CONSUMER RIGHTS; REGIONAL VARIATIONS. This agreement describes certain legal rights. You may have other rights, including consumer rights, under the laws of your state or country. Separate and apart from your relationship with Microsoft, you may also have rights with respect to the party from which you acquired the software. This agreement does not change those other rights if the laws of your state or country do not permit it to do so. For example, if you acquired the software in one of the below regions, or mandatory country law applies, then the following provisions apply to you:
  a) Australia. You have statutory guarantees under the Australian Consumer Law and nothing in this agreement is intended to affect those rights.
  b) Canada. If you acquired this software in Canada, you may stop receiving updates by turning off the automatic update feature, disconnecting your device from the Internet (if and when you re-connect to the Internet, however, the software will resume checking for and installing updates), or uninstalling the software. The product documentation, if any, may also specify how to turn off updates for your specific device or software.
  c) Germany and Austria.
    i. Warranty. The properly licensed software will perform substantially as described in any Microsoft materials that accompany the software. However, Microsoft gives no contractual guarantee in relation to the licensed software.
    ii. Limitation of Liability. In case of intentional conduct, gross negligence, claims based on the Product Liability Act, as well as, in case of death or personal or physical injury, Microsoft is liable according to the statutory law.
  Subject to the foregoing clause ii., Microsoft will only be liable for slight negligence if Microsoft is in breach of such material contractual obligations, the fulfillment of which facilitate the due performance of this agreement, the breach of which would endanger the purpose of this agreement and the compliance with which a party may constantly trust in (so-called "cardinal obligations"). In other cases of slight negligence, Microsoft will not be liable for slight negligence.

11. DISCLAIMER OF WARRANTY. THE SOFTWARE IS LICENSED “AS IS.” YOU BEAR THE RISK OF USING IT. MICROSOFT GIVES NO EXPRESS WARRANTIES, GUARANTEES, OR CONDITIONS. TO THE EXTENT PERMITTED UNDER APPLICABLE LAWS, MICROSOFT EXCLUDES ALL IMPLIED WARRANTIES, INCLUDING MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.

12. LIMITATION ON AND EXCLUSION OF DAMAGES. IF YOU HAVE ANY BASIS FOR RECOVERING DAMAGES DESPITE THE PRECEDING DISCLAIMER OF WARRANTY, YOU CAN RECOVER FROM MICROSOFT AND ITS SUPPLIERS ONLY DIRECT DAMAGES UP TO U.S. $5.00. YOU CANNOT RECOVER ANY OTHER DAMAGES, INCLUDING CONSEQUENTIAL, LOST PROFITS, SPECIAL, INDIRECT, OR INCIDENTAL DAMAGES.
This limitation applies to (a) anything related to the software, services, content (including code) on third party Internet sites, or third party applications; and (b) claims for breach of contract, warranty, guarantee, or condition; strict liability, negligence, or other tort; or any other claim; in each case to the extent permitted by applicable law.
It also applies even if Microsoft knew or should have known about the possibility of the damages. The above limitation or exclusion may not apply to you because your state, province, or country may not allow the exclusion or limitation of incidental, consequential, or other damages.

Please note: As this software is distributed in Canada, some of the clauses in this agreement are provided below in French.

Remarque: Ce logiciel étant distribué au Canada, certaines des clauses dans ce contrat sont fournies ci-dessous en français.

EXONÉRATION DE GARANTIE. Le logiciel visé par une licence est offert « tel quel ». Toute utilisation de ce logiciel est à votre seule risque et péril. Microsoft n’accorde aucune autre garantie expresse. Vous pouvez bénéficier de droits additionnels en vertu du droit local sur la protection des consommateurs, que ce contrat ne peut modifier. La ou elles sont permises par le droit locale, les garanties implicites de qualité marchande, d’adéquation à un usage particulier et d’absence de contrefaçon sont exclues.

LIMITATION DES DOMMAGES-INTÉRÊTS ET EXCLUSION DE RESPONSABILITÉ POUR LES DOMMAGES. Vous pouvez obtenir de Microsoft et de ses fournisseurs une indemnisation en cas de dommages directs uniquement à hauteur de 5,00 $ US. Vous ne pouvez prétendre à aucune indemnisation pour les autres dommages, y compris les dommages spéciaux, indirects ou accessoires et pertes de bénéfices.

Cette limitation concerne:
• tout ce qui est relié au logiciel, aux services ou au contenu (y compris le code) figurant sur des sites Internet tiers ou dans des programmes tiers; et
• les réclamations au titre de violation de contrat ou de garantie, ou au titre de responsabilité stricte, de négligence ou d’une autre faute dans la limite autorisée par la loi en vigueur.

Elle s’applique également, même si Microsoft connaissait ou devrait connaître l’éventualité d’un tel dommage. Si votre pays n’autorise pas l’exclusion ou la limitation de responsabilité pour les dommages indirects, accessoires ou de quelque nature que ce soit, il se peut que la limitation ou l’exclusion ci-dessus ne s’appliquera pas à votre égard.

EFFET JURIDIQUE. Le présent contrat décrit certains droits juridiques. Vous pourriez avoir d’autres droits prévus par les lois de votre pays. Le présent contrat ne modifie pas les droits que vous confèrent les lois de votre pays si celles-ci ne le permettent pas.
---
title: THIRD PARTY NOTICES FOR Azure Maps Drawing Tools Module
preamble: |
	Do Not Translate or Localize

	This file is based on or incorporates material from the projects listed below (Third Party IP).
	The original copyright notice and the license under which Microsoft received such Third Party IP,
	are set forth below. Such licenses and notices are provided for informational purposes only.
	Microsoft licenses the Third Party IP to you under the licensing terms for the Microsoft product.
	Microsoft reserves all other rights not expressly granted under this agreement, whether by implication,
	estoppel or otherwise.


registrations:
	- component:
		name: @types/lodash
		version: 4.14.136
		license: |
    MIT License

    Copyright (c) Microsoft Corporation. All rights reserved.

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in all
    copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE


	- component:
		name: azure-maps-control
		version: 2.0.25
		license: |
MICROSOFT SOFTWARE LICENSE TERMS
MICROSOFT AZURE MAPS WEB SDK
These license terms are an agreement between you and Microsoft Corporation (or one of its affiliates). They apply to the software named above and any Microsoft services or software updates (except to the extent such services or updates are accompanied by new or additional terms, in which case those different terms apply prospectively and do not alter your or Microsoft’s rights relating to pre-updated software or services). IF YOU COMPLY WITH THESE LICENSE TERMS, YOU HAVE THE RIGHTS BELOW.  BY USING THE SOFTWARE, YOU ACCEPT THESE TERMS.
1. INSTALLATION AND USE RIGHTS.
  a) General. You may install and use any number of copies of the software to develop and test your applications.
  b) User Region Parameters. The software will allow you to select from a View list to set the map view within your application for a given customer. By default the View parameter (also referred to as “user region parameter” is set to “Unified”.  Countries/Regions that are not on the View list will default to the “Unified” View. It is your responsibility to determine the location of your users, and then set the View parameter correctly for that location. The View parameter must be used in compliance with applicable laws, including those regarding mapping, of the country where maps, images and other data and third party content that You are authorized to access via the software is made available. 
  c) Third Party Software. The software may include third party applications that Microsoft, not the third party, licenses to you under this agreement. Any included notices for third party applications are for your information only.
  d) Microsoft Online Subscription Agreement. Some features of the software provide access to, or rely on, Microsoft Azure Services. The use of those services (but not the software) is governed by the separate terms and privacy policies associated with your Microsoft Azure subscription. The services may not be available in all regions. For more information see https://go.microsoft.com/fwLink/?LinkID=522330&amp;clcid=0x9.
2. DISTRIBUTABLE CODE. The software is comprised of “Distributable Code”. “Distributable Code” is code that you are permitted to distribute in applications you develop if you comply with the terms below and otherwise set forth in these license terms. 
  a) Distribution Rights. 
    i. You may copy and distribute the object code form of the software.
    i. Third Party Distribution. You may permit distributors of your applications to copy and distribute any of this distributable code you elect to distribute with your applications.
  b) Distribution Requirements. For any code you distribute, you must:
    i. add significant primary functionality to it in your applications;
    ii. require distributors and external end users to agree to terms that protect it and Microsoft at least as much as this agreement; and
    iii. indemnify, defend, and hold harmless Microsoft from any claims, including attorneys’ fees, related to the distribution or use of your applications, except to the extent that any claim is based solely on the unmodified distributable code.
  c) Distribution Restrictions. You may not:
    i. use Microsoft’s trademarks or trade dress in your application in any way that suggests your application comes from or is endorsed by Microsoft; or
    ii. modify or distribute the source code of any distributable code so that any part of it becomes subject to any license that requires that the distributable code, any other part of the software, or any of Microsoft’s other intellectual property be disclosed or distributed in source code form, or that others have the right to modify it.
3. DATA COLLECTION. The software may collect information about you and your use of the software and send that to Microsoft. Microsoft may use this information to provide services and improve Microsoft’s products and services. Your opt-out rights, if any, are described in the product documentation. Some features in the software may enable collection of data from users of your applications that access or use the software. If you use these features to enable data collection in your applications, you must comply with applicable law, including getting any required user consent, and maintain a prominent privacy policy that accurately informs users about how you use, collect, and share their data. You can learn more about Microsoft’s data collection and use in the product documentation and the Microsoft Privacy Statement at https://go.microsoft.com/fwlink/?LinkId=512132. You agree to comply with all applicable provisions of the Microsoft Privacy Statement.
4. SCOPE OF LICENSE. The software is licensed, not sold. Microsoft reserves all other rights. Unless applicable law gives you more rights despite this limitation, you will not (and have no right to):
  a) work around any technical limitations in the software that only allow you to use it in certain ways;
  b) reverse engineer, decompile, or disassemble the software, or attempt to do so, except and only to the extent permitted by licensing terms governing the use of open-source components that may be included with the software;
  c) remove, minimize, block, or modify any notices of Microsoft or its suppliers in the software;
  d) use the software in any way that is against the law or to create or propagate malware; or
  e) share, publish, distribute, or lend the software (except for any distributable code, subject to the terms above), provide the software as a stand-alone hosted solution for others to use, or transfer the software or this agreement to any third party.
5. EXPORT RESTRICTIONS. You must comply with all domestic and international export laws and regulations that apply to the software, which include restrictions on destinations, end users, and end use. For further information on export restrictions, visit http://aka.ms/exporting.
6. SUPPORT SERVICES. Microsoft is not obligated under this agreement to provide any support services for the software. Any support provided is “as is”, “with all faults”, and without warranty of any kind.
7. UPDATES. The software may periodically check for updates, and download and install them for you. You may obtain updates only from Microsoft or authorized sources. Microsoft may need to update your system to provide you with updates. You agree to receive these automatic updates without any additional notice. Updates may not include or support all existing software features, services, or peripheral devices.
8. ENTIRE AGREEMENT. This agreement, and any other terms Microsoft may provide for supplements, updates, or third-party applications, is the entire agreement for the software.
9. APPLICABLE LAW AND PLACE TO RESOLVE DISPUTES. If you acquired the software in the United States or Canada, the laws of the state or province where you live (or, if a business, where your principal place of business is located) govern the interpretation of this agreement, claims for its breach, and all other claims (including consumer protection, unfair competition, and tort claims), regardless of conflict of laws principles. If you acquired the software in any other country, its laws apply. If U.S. federal jurisdiction exists, you and Microsoft consent to exclusive jurisdiction and venue in the federal court in King County, Washington for all disputes heard in court. If not, you and Microsoft consent to exclusive jurisdiction and venue in the Superior Court of King County, Washington for all disputes heard in court.
10. CONSUMER RIGHTS; REGIONAL VARIATIONS. This agreement describes certain legal rights. You may have other rights, including consumer rights, under the laws of your state or country. Separate and apart from your relationship with Microsoft, you may also have rights with respect to the party from which you acquired the software. This agreement does not change those other rights if the laws of your state or country do not permit it to do so. For example, if you acquired the software in one of the below regions, or mandatory country law applies, then the following provisions apply to you:
  a) Australia. You have statutory guarantees under the Australian Consumer Law and nothing in this agreement is intended to affect those rights.
  b) Canada. If you acquired this software in Canada, you may stop receiving updates by turning off the automatic update feature, disconnecting your device from the Internet (if and when you re-connect to the Internet, however, the software will resume checking for and installing updates), or uninstalling the software. The product documentation, if any, may also specify how to turn off updates for your specific device or software.
  c) Germany and Austria.
    i. Warranty. The properly licensed software will perform substantially as described in any Microsoft materials that accompany the software. However, Microsoft gives no contractual guarantee in relation to the licensed software.
    ii. Limitation of Liability. In case of intentional conduct, gross negligence, claims based on the Product Liability Act, as well as, in case of death or personal or physical injury, Microsoft is liable according to the statutory law.
  Subject to the foregoing clause ii., Microsoft will only be liable for slight negligence if Microsoft is in breach of such material contractual obligations, the fulfillment of which facilitate the due performance of this agreement, the breach of which would endanger the purpose of this agreement and the compliance with which a party may constantly trust in (so-called "cardinal obligations"). In other cases of slight negligence, Microsoft will not be liable for slight negligence.
11. DISCLAIMER OF WARRANTY. THE SOFTWARE IS LICENSED “AS IS.” YOU BEAR THE RISK OF USING IT. MICROSOFT GIVES NO EXPRESS WARRANTIES, GUARANTEES, OR CONDITIONS. TO THE EXTENT PERMITTED UNDER APPLICABLE LAWS, MICROSOFT EXCLUDES ALL IMPLIED WARRANTIES, INCLUDING MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.
12. LIMITATION ON AND EXCLUSION OF DAMAGES. IF YOU HAVE ANY BASIS FOR RECOVERING DAMAGES DESPITE THE PRECEDING DISCLAIMER OF WARRANTY, YOU CAN RECOVER FROM MICROSOFT AND ITS SUPPLIERS ONLY DIRECT DAMAGES UP TO U.S. $5.00. YOU CANNOT RECOVER ANY OTHER DAMAGES, INCLUDING CONSEQUENTIAL, LOST PROFITS, SPECIAL, INDIRECT, OR INCIDENTAL DAMAGES.
This limitation applies to (a) anything related to the software, services, content (including code) on third party Internet sites, or third party applications; and (b) claims for breach of contract, warranty, guarantee, or condition; strict liability, negligence, or other tort; or any other claim; in each case to the extent permitted by applicable law.
It also applies even if Microsoft knew or should have known about the possibility of the damages. The above limitation or exclusion may not apply to you because your state, province, or country may not allow the exclusion or limitation of incidental, consequential, or other damages.
Please note: As this software is distributed in Canada, some of the clauses in this agreement are provided below in French.
Remarque: Ce logiciel étant distribué au Canada, certaines des clauses dans ce contrat sont fournies ci-dessous en français.
EXONÉRATION DE GARANTIE. Le logiciel visé par une licence est offert « tel quel ». Toute utilisation de ce logiciel est à votre seule risque et péril. Microsoft n’accorde aucune autre garantie expresse. Vous pouvez bénéficier de droits additionnels en vertu du droit local sur la protection des consommateurs, que ce contrat ne peut modifier. La ou elles sont permises par le droit locale, les garanties implicites de qualité marchande, d’adéquation à un usage particulier et d’absence de contrefaçon sont exclues.
LIMITATION DES DOMMAGES-INTÉRÊTS ET EXCLUSION DE RESPONSABILITÉ POUR LES DOMMAGES. Vous pouvez obtenir de Microsoft et de ses fournisseurs une indemnisation en cas de dommages directs uniquement à hauteur de 5,00 $ US. Vous ne pouvez prétendre à aucune indemnisation pour les autres dommages, y compris les dommages spéciaux, indirects ou accessoires et pertes de bénéfices.
Cette limitation concerne:
• tout ce qui est relié au logiciel, aux services ou au contenu (y compris le code) figurant sur des sites Internet tiers ou dans des programmes tiers; et
• les réclamations au titre de violation de contrat ou de garantie, ou au titre de responsabilité stricte, de négligence ou d’une autre faute dans la limite autorisée par la loi en vigueur.
Elle s’applique également, même si Microsoft connaissait ou devrait connaître l’éventualité d’un tel dommage. Si votre pays n’autorise pas l’exclusion ou la limitation de responsabilité pour les dommages indirects, accessoires ou de quelque nature que ce soit, il se peut que la limitation ou l’exclusion ci-dessus ne s’appliquera pas à votre égard.
EFFET JURIDIQUE. Le présent contrat décrit certains droits juridiques. Vous pourriez avoir d’autres droits prévus par les lois de votre pays. Le présent contrat ne modifie pas les droits que vous confèrent les lois de votre pays si celles-ci ne le permettent pas.


	- component:
		name: @types/adal-angular
		version: 1.0.1
		license: |
    MIT License

    Copyright (c) Microsoft Corporation. All rights reserved.

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in all
    copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE


	- component:
		name: lodash
		version: 4.17.15
		license: |
Copyright OpenJS Foundation and other contributors <https://openjsf.org/>

Based on Underscore.js, copyright Jeremy Ashkenas,
DocumentCloud and Investigative Reporters & Editors <http://underscorejs.org/>

This software consists of voluntary contributions made by many
individuals. For exact contribution history, see the revision history
available at https://github.com/lodash/lodash

The following license applies to all parts of this software except as
documented below:

====

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

====

Copyright and related rights for sample code are waived via CC0. Sample
code is defined as all source code displayed within the prose of the
documentation.

CC0: http://creativecommons.org/publicdomain/zero/1.0/

====

Files located in the node_modules and vendor directories are externally
maintained libraries used by this software which have their own
licenses; we recommend you read them, as their terms may differ from the
terms above.


	- component:
		name: typescript
		version: 3.6.3
		license: |
Apache License

Version 2.0, January 2004

http://www.apache.org/licenses/ 

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files.

"Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution."

"Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

You must give any other recipients of the Work or Derivative Works a copy of this License; and

You must cause any modified files to carry prominent notices stating that You changed the files; and

You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and

If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS
*/

'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var azmaps = require('azure-maps-control');
var azmaps__default = _interopDefault(azmaps);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/* global Reflect, Promise */

var extendStatics = function(d, b) {
    extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return extendStatics(d, b);
};

function __extends(d, b) {
    extendStatics(d, b);
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __spreadArrays() {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
}

var Namespace = /** @class */ (function () {
    function Namespace() {
    }
    Namespace.merge = function (namespace, base) {
        var context = window || global;
        var parts = namespace.split(".");
        for (var _i = 0, parts_1 = parts; _i < parts_1.length; _i++) {
            var part = parts_1[_i];
            if (context[part]) {
                context = context[part];
            }
            else {
                return base;
            }
        }
        return __assign(__assign({}, context), base);
    };
    return Namespace;
}());

/**
 * Removes all key-value entries from the list cache.
 *
 * @private
 * @name clear
 * @memberOf ListCache
 */
function listCacheClear() {
  this.__data__ = [];
  this.size = 0;
}

var _listCacheClear = listCacheClear;

/**
 * Performs a
 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * comparison between two values to determine if they are equivalent.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
 * @example
 *
 * var object = { 'a': 1 };
 * var other = { 'a': 1 };
 *
 * _.eq(object, object);
 * // => true
 *
 * _.eq(object, other);
 * // => false
 *
 * _.eq('a', 'a');
 * // => true
 *
 * _.eq('a', Object('a'));
 * // => false
 *
 * _.eq(NaN, NaN);
 * // => true
 */
function eq(value, other) {
  return value === other || (value !== value && other !== other);
}

var eq_1 = eq;

/**
 * Gets the index at which the `key` is found in `array` of key-value pairs.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {*} key The key to search for.
 * @returns {number} Returns the index of the matched value, else `-1`.
 */
function assocIndexOf(array, key) {
  var length = array.length;
  while (length--) {
    if (eq_1(array[length][0], key)) {
      return length;
    }
  }
  return -1;
}

var _assocIndexOf = assocIndexOf;

/** Used for built-in method references. */
var arrayProto = Array.prototype;

/** Built-in value references. */
var splice = arrayProto.splice;

/**
 * Removes `key` and its value from the list cache.
 *
 * @private
 * @name delete
 * @memberOf ListCache
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function listCacheDelete(key) {
  var data = this.__data__,
      index = _assocIndexOf(data, key);

  if (index < 0) {
    return false;
  }
  var lastIndex = data.length - 1;
  if (index == lastIndex) {
    data.pop();
  } else {
    splice.call(data, index, 1);
  }
  --this.size;
  return true;
}

var _listCacheDelete = listCacheDelete;

/**
 * Gets the list cache value for `key`.
 *
 * @private
 * @name get
 * @memberOf ListCache
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function listCacheGet(key) {
  var data = this.__data__,
      index = _assocIndexOf(data, key);

  return index < 0 ? undefined : data[index][1];
}

var _listCacheGet = listCacheGet;

/**
 * Checks if a list cache value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf ListCache
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function listCacheHas(key) {
  return _assocIndexOf(this.__data__, key) > -1;
}

var _listCacheHas = listCacheHas;

/**
 * Sets the list cache `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf ListCache
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the list cache instance.
 */
function listCacheSet(key, value) {
  var data = this.__data__,
      index = _assocIndexOf(data, key);

  if (index < 0) {
    ++this.size;
    data.push([key, value]);
  } else {
    data[index][1] = value;
  }
  return this;
}

var _listCacheSet = listCacheSet;

/**
 * Creates an list cache object.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function ListCache(entries) {
  var index = -1,
      length = entries == null ? 0 : entries.length;

  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}

// Add methods to `ListCache`.
ListCache.prototype.clear = _listCacheClear;
ListCache.prototype['delete'] = _listCacheDelete;
ListCache.prototype.get = _listCacheGet;
ListCache.prototype.has = _listCacheHas;
ListCache.prototype.set = _listCacheSet;

var _ListCache = ListCache;

/**
 * Removes all key-value entries from the stack.
 *
 * @private
 * @name clear
 * @memberOf Stack
 */
function stackClear() {
  this.__data__ = new _ListCache;
  this.size = 0;
}

var _stackClear = stackClear;

/**
 * Removes `key` and its value from the stack.
 *
 * @private
 * @name delete
 * @memberOf Stack
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function stackDelete(key) {
  var data = this.__data__,
      result = data['delete'](key);

  this.size = data.size;
  return result;
}

var _stackDelete = stackDelete;

/**
 * Gets the stack value for `key`.
 *
 * @private
 * @name get
 * @memberOf Stack
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function stackGet(key) {
  return this.__data__.get(key);
}

var _stackGet = stackGet;

/**
 * Checks if a stack value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf Stack
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function stackHas(key) {
  return this.__data__.has(key);
}

var _stackHas = stackHas;

var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

function createCommonjsModule(fn, module) {
	return module = { exports: {} }, fn(module, module.exports), module.exports;
}

/** Detect free variable `global` from Node.js. */
var freeGlobal = typeof commonjsGlobal == 'object' && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;

var _freeGlobal = freeGlobal;

/** Detect free variable `self`. */
var freeSelf = typeof self == 'object' && self && self.Object === Object && self;

/** Used as a reference to the global object. */
var root = _freeGlobal || freeSelf || Function('return this')();

var _root = root;

/** Built-in value references. */
var Symbol = _root.Symbol;

var _Symbol = Symbol;

/** Used for built-in method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/**
 * Used to resolve the
 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
 * of values.
 */
var nativeObjectToString = objectProto.toString;

/** Built-in value references. */
var symToStringTag = _Symbol ? _Symbol.toStringTag : undefined;

/**
 * A specialized version of `baseGetTag` which ignores `Symbol.toStringTag` values.
 *
 * @private
 * @param {*} value The value to query.
 * @returns {string} Returns the raw `toStringTag`.
 */
function getRawTag(value) {
  var isOwn = hasOwnProperty.call(value, symToStringTag),
      tag = value[symToStringTag];

  try {
    value[symToStringTag] = undefined;
    var unmasked = true;
  } catch (e) {}

  var result = nativeObjectToString.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag] = tag;
    } else {
      delete value[symToStringTag];
    }
  }
  return result;
}

var _getRawTag = getRawTag;

/** Used for built-in method references. */
var objectProto$1 = Object.prototype;

/**
 * Used to resolve the
 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
 * of values.
 */
var nativeObjectToString$1 = objectProto$1.toString;

/**
 * Converts `value` to a string using `Object.prototype.toString`.
 *
 * @private
 * @param {*} value The value to convert.
 * @returns {string} Returns the converted string.
 */
function objectToString(value) {
  return nativeObjectToString$1.call(value);
}

var _objectToString = objectToString;

/** `Object#toString` result references. */
var nullTag = '[object Null]',
    undefinedTag = '[object Undefined]';

/** Built-in value references. */
var symToStringTag$1 = _Symbol ? _Symbol.toStringTag : undefined;

/**
 * The base implementation of `getTag` without fallbacks for buggy environments.
 *
 * @private
 * @param {*} value The value to query.
 * @returns {string} Returns the `toStringTag`.
 */
function baseGetTag(value) {
  if (value == null) {
    return value === undefined ? undefinedTag : nullTag;
  }
  return (symToStringTag$1 && symToStringTag$1 in Object(value))
    ? _getRawTag(value)
    : _objectToString(value);
}

var _baseGetTag = baseGetTag;

/**
 * Checks if `value` is the
 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
 * @example
 *
 * _.isObject({});
 * // => true
 *
 * _.isObject([1, 2, 3]);
 * // => true
 *
 * _.isObject(_.noop);
 * // => true
 *
 * _.isObject(null);
 * // => false
 */
function isObject(value) {
  var type = typeof value;
  return value != null && (type == 'object' || type == 'function');
}

var isObject_1 = isObject;

/** `Object#toString` result references. */
var asyncTag = '[object AsyncFunction]',
    funcTag = '[object Function]',
    genTag = '[object GeneratorFunction]',
    proxyTag = '[object Proxy]';

/**
 * Checks if `value` is classified as a `Function` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
 * @example
 *
 * _.isFunction(_);
 * // => true
 *
 * _.isFunction(/abc/);
 * // => false
 */
function isFunction(value) {
  if (!isObject_1(value)) {
    return false;
  }
  // The use of `Object#toString` avoids issues with the `typeof` operator
  // in Safari 9 which returns 'object' for typed arrays and other constructors.
  var tag = _baseGetTag(value);
  return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
}

var isFunction_1 = isFunction;

/** Used to detect overreaching core-js shims. */
var coreJsData = _root['__core-js_shared__'];

var _coreJsData = coreJsData;

/** Used to detect methods masquerading as native. */
var maskSrcKey = (function() {
  var uid = /[^.]+$/.exec(_coreJsData && _coreJsData.keys && _coreJsData.keys.IE_PROTO || '');
  return uid ? ('Symbol(src)_1.' + uid) : '';
}());

/**
 * Checks if `func` has its source masked.
 *
 * @private
 * @param {Function} func The function to check.
 * @returns {boolean} Returns `true` if `func` is masked, else `false`.
 */
function isMasked(func) {
  return !!maskSrcKey && (maskSrcKey in func);
}

var _isMasked = isMasked;

/** Used for built-in method references. */
var funcProto = Function.prototype;

/** Used to resolve the decompiled source of functions. */
var funcToString = funcProto.toString;

/**
 * Converts `func` to its source code.
 *
 * @private
 * @param {Function} func The function to convert.
 * @returns {string} Returns the source code.
 */
function toSource(func) {
  if (func != null) {
    try {
      return funcToString.call(func);
    } catch (e) {}
    try {
      return (func + '');
    } catch (e) {}
  }
  return '';
}

var _toSource = toSource;

/**
 * Used to match `RegExp`
 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
 */
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;

/** Used to detect host constructors (Safari). */
var reIsHostCtor = /^\[object .+?Constructor\]$/;

/** Used for built-in method references. */
var funcProto$1 = Function.prototype,
    objectProto$2 = Object.prototype;

/** Used to resolve the decompiled source of functions. */
var funcToString$1 = funcProto$1.toString;

/** Used to check objects for own properties. */
var hasOwnProperty$1 = objectProto$2.hasOwnProperty;

/** Used to detect if a method is native. */
var reIsNative = RegExp('^' +
  funcToString$1.call(hasOwnProperty$1).replace(reRegExpChar, '\\$&')
  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
);

/**
 * The base implementation of `_.isNative` without bad shim checks.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a native function,
 *  else `false`.
 */
function baseIsNative(value) {
  if (!isObject_1(value) || _isMasked(value)) {
    return false;
  }
  var pattern = isFunction_1(value) ? reIsNative : reIsHostCtor;
  return pattern.test(_toSource(value));
}

var _baseIsNative = baseIsNative;

/**
 * Gets the value at `key` of `object`.
 *
 * @private
 * @param {Object} [object] The object to query.
 * @param {string} key The key of the property to get.
 * @returns {*} Returns the property value.
 */
function getValue(object, key) {
  return object == null ? undefined : object[key];
}

var _getValue = getValue;

/**
 * Gets the native function at `key` of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {string} key The key of the method to get.
 * @returns {*} Returns the function if it's native, else `undefined`.
 */
function getNative(object, key) {
  var value = _getValue(object, key);
  return _baseIsNative(value) ? value : undefined;
}

var _getNative = getNative;

/* Built-in method references that are verified to be native. */
var Map = _getNative(_root, 'Map');

var _Map = Map;

/* Built-in method references that are verified to be native. */
var nativeCreate = _getNative(Object, 'create');

var _nativeCreate = nativeCreate;

/**
 * Removes all key-value entries from the hash.
 *
 * @private
 * @name clear
 * @memberOf Hash
 */
function hashClear() {
  this.__data__ = _nativeCreate ? _nativeCreate(null) : {};
  this.size = 0;
}

var _hashClear = hashClear;

/**
 * Removes `key` and its value from the hash.
 *
 * @private
 * @name delete
 * @memberOf Hash
 * @param {Object} hash The hash to modify.
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function hashDelete(key) {
  var result = this.has(key) && delete this.__data__[key];
  this.size -= result ? 1 : 0;
  return result;
}

var _hashDelete = hashDelete;

/** Used to stand-in for `undefined` hash values. */
var HASH_UNDEFINED = '__lodash_hash_undefined__';

/** Used for built-in method references. */
var objectProto$3 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$2 = objectProto$3.hasOwnProperty;

/**
 * Gets the hash value for `key`.
 *
 * @private
 * @name get
 * @memberOf Hash
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function hashGet(key) {
  var data = this.__data__;
  if (_nativeCreate) {
    var result = data[key];
    return result === HASH_UNDEFINED ? undefined : result;
  }
  return hasOwnProperty$2.call(data, key) ? data[key] : undefined;
}

var _hashGet = hashGet;

/** Used for built-in method references. */
var objectProto$4 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$3 = objectProto$4.hasOwnProperty;

/**
 * Checks if a hash value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf Hash
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function hashHas(key) {
  var data = this.__data__;
  return _nativeCreate ? (data[key] !== undefined) : hasOwnProperty$3.call(data, key);
}

var _hashHas = hashHas;

/** Used to stand-in for `undefined` hash values. */
var HASH_UNDEFINED$1 = '__lodash_hash_undefined__';

/**
 * Sets the hash `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf Hash
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the hash instance.
 */
function hashSet(key, value) {
  var data = this.__data__;
  this.size += this.has(key) ? 0 : 1;
  data[key] = (_nativeCreate && value === undefined) ? HASH_UNDEFINED$1 : value;
  return this;
}

var _hashSet = hashSet;

/**
 * Creates a hash object.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function Hash(entries) {
  var index = -1,
      length = entries == null ? 0 : entries.length;

  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}

// Add methods to `Hash`.
Hash.prototype.clear = _hashClear;
Hash.prototype['delete'] = _hashDelete;
Hash.prototype.get = _hashGet;
Hash.prototype.has = _hashHas;
Hash.prototype.set = _hashSet;

var _Hash = Hash;

/**
 * Removes all key-value entries from the map.
 *
 * @private
 * @name clear
 * @memberOf MapCache
 */
function mapCacheClear() {
  this.size = 0;
  this.__data__ = {
    'hash': new _Hash,
    'map': new (_Map || _ListCache),
    'string': new _Hash
  };
}

var _mapCacheClear = mapCacheClear;

/**
 * Checks if `value` is suitable for use as unique object key.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
 */
function isKeyable(value) {
  var type = typeof value;
  return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
    ? (value !== '__proto__')
    : (value === null);
}

var _isKeyable = isKeyable;

/**
 * Gets the data for `map`.
 *
 * @private
 * @param {Object} map The map to query.
 * @param {string} key The reference key.
 * @returns {*} Returns the map data.
 */
function getMapData(map, key) {
  var data = map.__data__;
  return _isKeyable(key)
    ? data[typeof key == 'string' ? 'string' : 'hash']
    : data.map;
}

var _getMapData = getMapData;

/**
 * Removes `key` and its value from the map.
 *
 * @private
 * @name delete
 * @memberOf MapCache
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function mapCacheDelete(key) {
  var result = _getMapData(this, key)['delete'](key);
  this.size -= result ? 1 : 0;
  return result;
}

var _mapCacheDelete = mapCacheDelete;

/**
 * Gets the map value for `key`.
 *
 * @private
 * @name get
 * @memberOf MapCache
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function mapCacheGet(key) {
  return _getMapData(this, key).get(key);
}

var _mapCacheGet = mapCacheGet;

/**
 * Checks if a map value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf MapCache
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function mapCacheHas(key) {
  return _getMapData(this, key).has(key);
}

var _mapCacheHas = mapCacheHas;

/**
 * Sets the map `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf MapCache
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the map cache instance.
 */
function mapCacheSet(key, value) {
  var data = _getMapData(this, key),
      size = data.size;

  data.set(key, value);
  this.size += data.size == size ? 0 : 1;
  return this;
}

var _mapCacheSet = mapCacheSet;

/**
 * Creates a map cache object to store key-value pairs.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function MapCache(entries) {
  var index = -1,
      length = entries == null ? 0 : entries.length;

  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}

// Add methods to `MapCache`.
MapCache.prototype.clear = _mapCacheClear;
MapCache.prototype['delete'] = _mapCacheDelete;
MapCache.prototype.get = _mapCacheGet;
MapCache.prototype.has = _mapCacheHas;
MapCache.prototype.set = _mapCacheSet;

var _MapCache = MapCache;

/** Used as the size to enable large array optimizations. */
var LARGE_ARRAY_SIZE = 200;

/**
 * Sets the stack `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf Stack
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the stack cache instance.
 */
function stackSet(key, value) {
  var data = this.__data__;
  if (data instanceof _ListCache) {
    var pairs = data.__data__;
    if (!_Map || (pairs.length < LARGE_ARRAY_SIZE - 1)) {
      pairs.push([key, value]);
      this.size = ++data.size;
      return this;
    }
    data = this.__data__ = new _MapCache(pairs);
  }
  data.set(key, value);
  this.size = data.size;
  return this;
}

var _stackSet = stackSet;

/**
 * Creates a stack cache object to store key-value pairs.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function Stack(entries) {
  var data = this.__data__ = new _ListCache(entries);
  this.size = data.size;
}

// Add methods to `Stack`.
Stack.prototype.clear = _stackClear;
Stack.prototype['delete'] = _stackDelete;
Stack.prototype.get = _stackGet;
Stack.prototype.has = _stackHas;
Stack.prototype.set = _stackSet;

var _Stack = Stack;

/**
 * A specialized version of `_.forEach` for arrays without support for
 * iteratee shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array} Returns `array`.
 */
function arrayEach(array, iteratee) {
  var index = -1,
      length = array == null ? 0 : array.length;

  while (++index < length) {
    if (iteratee(array[index], index, array) === false) {
      break;
    }
  }
  return array;
}

var _arrayEach = arrayEach;

var defineProperty = (function() {
  try {
    var func = _getNative(Object, 'defineProperty');
    func({}, '', {});
    return func;
  } catch (e) {}
}());

var _defineProperty = defineProperty;

/**
 * The base implementation of `assignValue` and `assignMergeValue` without
 * value checks.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {string} key The key of the property to assign.
 * @param {*} value The value to assign.
 */
function baseAssignValue(object, key, value) {
  if (key == '__proto__' && _defineProperty) {
    _defineProperty(object, key, {
      'configurable': true,
      'enumerable': true,
      'value': value,
      'writable': true
    });
  } else {
    object[key] = value;
  }
}

var _baseAssignValue = baseAssignValue;

/** Used for built-in method references. */
var objectProto$5 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$4 = objectProto$5.hasOwnProperty;

/**
 * Assigns `value` to `key` of `object` if the existing value is not equivalent
 * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * for equality comparisons.
 *
 * @private
 * @param {Object} object The object to modify.
 * @param {string} key The key of the property to assign.
 * @param {*} value The value to assign.
 */
function assignValue(object, key, value) {
  var objValue = object[key];
  if (!(hasOwnProperty$4.call(object, key) && eq_1(objValue, value)) ||
      (value === undefined && !(key in object))) {
    _baseAssignValue(object, key, value);
  }
}

var _assignValue = assignValue;

/**
 * Copies properties of `source` to `object`.
 *
 * @private
 * @param {Object} source The object to copy properties from.
 * @param {Array} props The property identifiers to copy.
 * @param {Object} [object={}] The object to copy properties to.
 * @param {Function} [customizer] The function to customize copied values.
 * @returns {Object} Returns `object`.
 */
function copyObject(source, props, object, customizer) {
  var isNew = !object;
  object || (object = {});

  var index = -1,
      length = props.length;

  while (++index < length) {
    var key = props[index];

    var newValue = customizer
      ? customizer(object[key], source[key], key, object, source)
      : undefined;

    if (newValue === undefined) {
      newValue = source[key];
    }
    if (isNew) {
      _baseAssignValue(object, key, newValue);
    } else {
      _assignValue(object, key, newValue);
    }
  }
  return object;
}

var _copyObject = copyObject;

/**
 * The base implementation of `_.times` without support for iteratee shorthands
 * or max array length checks.
 *
 * @private
 * @param {number} n The number of times to invoke `iteratee`.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array} Returns the array of results.
 */
function baseTimes(n, iteratee) {
  var index = -1,
      result = Array(n);

  while (++index < n) {
    result[index] = iteratee(index);
  }
  return result;
}

var _baseTimes = baseTimes;

/**
 * Checks if `value` is object-like. A value is object-like if it's not `null`
 * and has a `typeof` result of "object".
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
 * @example
 *
 * _.isObjectLike({});
 * // => true
 *
 * _.isObjectLike([1, 2, 3]);
 * // => true
 *
 * _.isObjectLike(_.noop);
 * // => false
 *
 * _.isObjectLike(null);
 * // => false
 */
function isObjectLike(value) {
  return value != null && typeof value == 'object';
}

var isObjectLike_1 = isObjectLike;

/** `Object#toString` result references. */
var argsTag = '[object Arguments]';

/**
 * The base implementation of `_.isArguments`.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
 */
function baseIsArguments(value) {
  return isObjectLike_1(value) && _baseGetTag(value) == argsTag;
}

var _baseIsArguments = baseIsArguments;

/** Used for built-in method references. */
var objectProto$6 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$5 = objectProto$6.hasOwnProperty;

/** Built-in value references. */
var propertyIsEnumerable = objectProto$6.propertyIsEnumerable;

/**
 * Checks if `value` is likely an `arguments` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an `arguments` object,
 *  else `false`.
 * @example
 *
 * _.isArguments(function() { return arguments; }());
 * // => true
 *
 * _.isArguments([1, 2, 3]);
 * // => false
 */
var isArguments = _baseIsArguments(function() { return arguments; }()) ? _baseIsArguments : function(value) {
  return isObjectLike_1(value) && hasOwnProperty$5.call(value, 'callee') &&
    !propertyIsEnumerable.call(value, 'callee');
};

var isArguments_1 = isArguments;

/**
 * Checks if `value` is classified as an `Array` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an array, else `false`.
 * @example
 *
 * _.isArray([1, 2, 3]);
 * // => true
 *
 * _.isArray(document.body.children);
 * // => false
 *
 * _.isArray('abc');
 * // => false
 *
 * _.isArray(_.noop);
 * // => false
 */
var isArray = Array.isArray;

var isArray_1 = isArray;

/**
 * This method returns `false`.
 *
 * @static
 * @memberOf _
 * @since 4.13.0
 * @category Util
 * @returns {boolean} Returns `false`.
 * @example
 *
 * _.times(2, _.stubFalse);
 * // => [false, false]
 */
function stubFalse() {
  return false;
}

var stubFalse_1 = stubFalse;

var isBuffer_1 = createCommonjsModule(function (module, exports) {
/** Detect free variable `exports`. */
var freeExports =  exports && !exports.nodeType && exports;

/** Detect free variable `module`. */
var freeModule = freeExports && 'object' == 'object' && module && !module.nodeType && module;

/** Detect the popular CommonJS extension `module.exports`. */
var moduleExports = freeModule && freeModule.exports === freeExports;

/** Built-in value references. */
var Buffer = moduleExports ? _root.Buffer : undefined;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined;

/**
 * Checks if `value` is a buffer.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a buffer, else `false`.
 * @example
 *
 * _.isBuffer(new Buffer(2));
 * // => true
 *
 * _.isBuffer(new Uint8Array(2));
 * // => false
 */
var isBuffer = nativeIsBuffer || stubFalse_1;

module.exports = isBuffer;
});

/** Used as references for various `Number` constants. */
var MAX_SAFE_INTEGER = 9007199254740991;

/** Used to detect unsigned integer values. */
var reIsUint = /^(?:0|[1-9]\d*)$/;

/**
 * Checks if `value` is a valid array-like index.
 *
 * @private
 * @param {*} value The value to check.
 * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
 * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
 */
function isIndex(value, length) {
  var type = typeof value;
  length = length == null ? MAX_SAFE_INTEGER : length;

  return !!length &&
    (type == 'number' ||
      (type != 'symbol' && reIsUint.test(value))) &&
        (value > -1 && value % 1 == 0 && value < length);
}

var _isIndex = isIndex;

/** Used as references for various `Number` constants. */
var MAX_SAFE_INTEGER$1 = 9007199254740991;

/**
 * Checks if `value` is a valid array-like length.
 *
 * **Note:** This method is loosely based on
 * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
 * @example
 *
 * _.isLength(3);
 * // => true
 *
 * _.isLength(Number.MIN_VALUE);
 * // => false
 *
 * _.isLength(Infinity);
 * // => false
 *
 * _.isLength('3');
 * // => false
 */
function isLength(value) {
  return typeof value == 'number' &&
    value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER$1;
}

var isLength_1 = isLength;

/** `Object#toString` result references. */
var argsTag$1 = '[object Arguments]',
    arrayTag = '[object Array]',
    boolTag = '[object Boolean]',
    dateTag = '[object Date]',
    errorTag = '[object Error]',
    funcTag$1 = '[object Function]',
    mapTag = '[object Map]',
    numberTag = '[object Number]',
    objectTag = '[object Object]',
    regexpTag = '[object RegExp]',
    setTag = '[object Set]',
    stringTag = '[object String]',
    weakMapTag = '[object WeakMap]';

var arrayBufferTag = '[object ArrayBuffer]',
    dataViewTag = '[object DataView]',
    float32Tag = '[object Float32Array]',
    float64Tag = '[object Float64Array]',
    int8Tag = '[object Int8Array]',
    int16Tag = '[object Int16Array]',
    int32Tag = '[object Int32Array]',
    uint8Tag = '[object Uint8Array]',
    uint8ClampedTag = '[object Uint8ClampedArray]',
    uint16Tag = '[object Uint16Array]',
    uint32Tag = '[object Uint32Array]';

/** Used to identify `toStringTag` values of typed arrays. */
var typedArrayTags = {};
typedArrayTags[float32Tag] = typedArrayTags[float64Tag] =
typedArrayTags[int8Tag] = typedArrayTags[int16Tag] =
typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] =
typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] =
typedArrayTags[uint32Tag] = true;
typedArrayTags[argsTag$1] = typedArrayTags[arrayTag] =
typedArrayTags[arrayBufferTag] = typedArrayTags[boolTag] =
typedArrayTags[dataViewTag] = typedArrayTags[dateTag] =
typedArrayTags[errorTag] = typedArrayTags[funcTag$1] =
typedArrayTags[mapTag] = typedArrayTags[numberTag] =
typedArrayTags[objectTag] = typedArrayTags[regexpTag] =
typedArrayTags[setTag] = typedArrayTags[stringTag] =
typedArrayTags[weakMapTag] = false;

/**
 * The base implementation of `_.isTypedArray` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
 */
function baseIsTypedArray(value) {
  return isObjectLike_1(value) &&
    isLength_1(value.length) && !!typedArrayTags[_baseGetTag(value)];
}

var _baseIsTypedArray = baseIsTypedArray;

/**
 * The base implementation of `_.unary` without support for storing metadata.
 *
 * @private
 * @param {Function} func The function to cap arguments for.
 * @returns {Function} Returns the new capped function.
 */
function baseUnary(func) {
  return function(value) {
    return func(value);
  };
}

var _baseUnary = baseUnary;

var _nodeUtil = createCommonjsModule(function (module, exports) {
/** Detect free variable `exports`. */
var freeExports =  exports && !exports.nodeType && exports;

/** Detect free variable `module`. */
var freeModule = freeExports && 'object' == 'object' && module && !module.nodeType && module;

/** Detect the popular CommonJS extension `module.exports`. */
var moduleExports = freeModule && freeModule.exports === freeExports;

/** Detect free variable `process` from Node.js. */
var freeProcess = moduleExports && _freeGlobal.process;

/** Used to access faster Node.js helpers. */
var nodeUtil = (function() {
  try {
    // Use `util.types` for Node.js 10+.
    var types = freeModule && freeModule.require && freeModule.require('util').types;

    if (types) {
      return types;
    }

    // Legacy `process.binding('util')` for Node.js < 10.
    return freeProcess && freeProcess.binding && freeProcess.binding('util');
  } catch (e) {}
}());

module.exports = nodeUtil;
});

/* Node.js helper references. */
var nodeIsTypedArray = _nodeUtil && _nodeUtil.isTypedArray;

/**
 * Checks if `value` is classified as a typed array.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
 * @example
 *
 * _.isTypedArray(new Uint8Array);
 * // => true
 *
 * _.isTypedArray([]);
 * // => false
 */
var isTypedArray = nodeIsTypedArray ? _baseUnary(nodeIsTypedArray) : _baseIsTypedArray;

var isTypedArray_1 = isTypedArray;

/** Used for built-in method references. */
var objectProto$7 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$6 = objectProto$7.hasOwnProperty;

/**
 * Creates an array of the enumerable property names of the array-like `value`.
 *
 * @private
 * @param {*} value The value to query.
 * @param {boolean} inherited Specify returning inherited property names.
 * @returns {Array} Returns the array of property names.
 */
function arrayLikeKeys(value, inherited) {
  var isArr = isArray_1(value),
      isArg = !isArr && isArguments_1(value),
      isBuff = !isArr && !isArg && isBuffer_1(value),
      isType = !isArr && !isArg && !isBuff && isTypedArray_1(value),
      skipIndexes = isArr || isArg || isBuff || isType,
      result = skipIndexes ? _baseTimes(value.length, String) : [],
      length = result.length;

  for (var key in value) {
    if ((inherited || hasOwnProperty$6.call(value, key)) &&
        !(skipIndexes && (
           // Safari 9 has enumerable `arguments.length` in strict mode.
           key == 'length' ||
           // Node.js 0.10 has enumerable non-index properties on buffers.
           (isBuff && (key == 'offset' || key == 'parent')) ||
           // PhantomJS 2 has enumerable non-index properties on typed arrays.
           (isType && (key == 'buffer' || key == 'byteLength' || key == 'byteOffset')) ||
           // Skip index properties.
           _isIndex(key, length)
        ))) {
      result.push(key);
    }
  }
  return result;
}

var _arrayLikeKeys = arrayLikeKeys;

/** Used for built-in method references. */
var objectProto$8 = Object.prototype;

/**
 * Checks if `value` is likely a prototype object.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
 */
function isPrototype(value) {
  var Ctor = value && value.constructor,
      proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto$8;

  return value === proto;
}

var _isPrototype = isPrototype;

/**
 * Creates a unary function that invokes `func` with its argument transformed.
 *
 * @private
 * @param {Function} func The function to wrap.
 * @param {Function} transform The argument transform.
 * @returns {Function} Returns the new function.
 */
function overArg(func, transform) {
  return function(arg) {
    return func(transform(arg));
  };
}

var _overArg = overArg;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeKeys = _overArg(Object.keys, Object);

var _nativeKeys = nativeKeys;

/** Used for built-in method references. */
var objectProto$9 = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$7 = objectProto$9.hasOwnProperty;

/**
 * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 */
function baseKeys(object) {
  if (!_isPrototype(object)) {
    return _nativeKeys(object);
  }
  var result = [];
  for (var key in Object(object)) {
    if (hasOwnProperty$7.call(object, key) && key != 'constructor') {
      result.push(key);
    }
  }
  return result;
}

var _baseKeys = baseKeys;

/**
 * Checks if `value` is array-like. A value is considered array-like if it's
 * not a function and has a `value.length` that's an integer greater than or
 * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
 * @example
 *
 * _.isArrayLike([1, 2, 3]);
 * // => true
 *
 * _.isArrayLike(document.body.children);
 * // => true
 *
 * _.isArrayLike('abc');
 * // => true
 *
 * _.isArrayLike(_.noop);
 * // => false
 */
function isArrayLike(value) {
  return value != null && isLength_1(value.length) && !isFunction_1(value);
}

var isArrayLike_1 = isArrayLike;

/**
 * Creates an array of the own enumerable property names of `object`.
 *
 * **Note:** Non-object values are coerced to objects. See the
 * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
 * for more details.
 *
 * @static
 * @since 0.1.0
 * @memberOf _
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.keys(new Foo);
 * // => ['a', 'b'] (iteration order is not guaranteed)
 *
 * _.keys('hi');
 * // => ['0', '1']
 */
function keys(object) {
  return isArrayLike_1(object) ? _arrayLikeKeys(object) : _baseKeys(object);
}

var keys_1 = keys;

/**
 * The base implementation of `_.assign` without support for multiple sources
 * or `customizer` functions.
 *
 * @private
 * @param {Object} object The destination object.
 * @param {Object} source The source object.
 * @returns {Object} Returns `object`.
 */
function baseAssign(object, source) {
  return object && _copyObject(source, keys_1(source), object);
}

var _baseAssign = baseAssign;

/**
 * This function is like
 * [`Object.keys`](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
 * except that it includes inherited enumerable properties.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 */
function nativeKeysIn(object) {
  var result = [];
  if (object != null) {
    for (var key in Object(object)) {
      result.push(key);
    }
  }
  return result;
}

var _nativeKeysIn = nativeKeysIn;

/** Used for built-in method references. */
var objectProto$a = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$8 = objectProto$a.hasOwnProperty;

/**
 * The base implementation of `_.keysIn` which doesn't treat sparse arrays as dense.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 */
function baseKeysIn(object) {
  if (!isObject_1(object)) {
    return _nativeKeysIn(object);
  }
  var isProto = _isPrototype(object),
      result = [];

  for (var key in object) {
    if (!(key == 'constructor' && (isProto || !hasOwnProperty$8.call(object, key)))) {
      result.push(key);
    }
  }
  return result;
}

var _baseKeysIn = baseKeysIn;

/**
 * Creates an array of the own and inherited enumerable property names of `object`.
 *
 * **Note:** Non-object values are coerced to objects.
 *
 * @static
 * @memberOf _
 * @since 3.0.0
 * @category Object
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names.
 * @example
 *
 * function Foo() {
 *   this.a = 1;
 *   this.b = 2;
 * }
 *
 * Foo.prototype.c = 3;
 *
 * _.keysIn(new Foo);
 * // => ['a', 'b', 'c'] (iteration order is not guaranteed)
 */
function keysIn$1(object) {
  return isArrayLike_1(object) ? _arrayLikeKeys(object, true) : _baseKeysIn(object);
}

var keysIn_1 = keysIn$1;

/**
 * The base implementation of `_.assignIn` without support for multiple sources
 * or `customizer` functions.
 *
 * @private
 * @param {Object} object The destination object.
 * @param {Object} source The source object.
 * @returns {Object} Returns `object`.
 */
function baseAssignIn(object, source) {
  return object && _copyObject(source, keysIn_1(source), object);
}

var _baseAssignIn = baseAssignIn;

var _cloneBuffer = createCommonjsModule(function (module, exports) {
/** Detect free variable `exports`. */
var freeExports =  exports && !exports.nodeType && exports;

/** Detect free variable `module`. */
var freeModule = freeExports && 'object' == 'object' && module && !module.nodeType && module;

/** Detect the popular CommonJS extension `module.exports`. */
var moduleExports = freeModule && freeModule.exports === freeExports;

/** Built-in value references. */
var Buffer = moduleExports ? _root.Buffer : undefined,
    allocUnsafe = Buffer ? Buffer.allocUnsafe : undefined;

/**
 * Creates a clone of  `buffer`.
 *
 * @private
 * @param {Buffer} buffer The buffer to clone.
 * @param {boolean} [isDeep] Specify a deep clone.
 * @returns {Buffer} Returns the cloned buffer.
 */
function cloneBuffer(buffer, isDeep) {
  if (isDeep) {
    return buffer.slice();
  }
  var length = buffer.length,
      result = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);

  buffer.copy(result);
  return result;
}

module.exports = cloneBuffer;
});

/**
 * Copies the values of `source` to `array`.
 *
 * @private
 * @param {Array} source The array to copy values from.
 * @param {Array} [array=[]] The array to copy values to.
 * @returns {Array} Returns `array`.
 */
function copyArray(source, array) {
  var index = -1,
      length = source.length;

  array || (array = Array(length));
  while (++index < length) {
    array[index] = source[index];
  }
  return array;
}

var _copyArray = copyArray;

/**
 * A specialized version of `_.filter` for arrays without support for
 * iteratee shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} predicate The function invoked per iteration.
 * @returns {Array} Returns the new filtered array.
 */
function arrayFilter(array, predicate) {
  var index = -1,
      length = array == null ? 0 : array.length,
      resIndex = 0,
      result = [];

  while (++index < length) {
    var value = array[index];
    if (predicate(value, index, array)) {
      result[resIndex++] = value;
    }
  }
  return result;
}

var _arrayFilter = arrayFilter;

/**
 * This method returns a new empty array.
 *
 * @static
 * @memberOf _
 * @since 4.13.0
 * @category Util
 * @returns {Array} Returns the new empty array.
 * @example
 *
 * var arrays = _.times(2, _.stubArray);
 *
 * console.log(arrays);
 * // => [[], []]
 *
 * console.log(arrays[0] === arrays[1]);
 * // => false
 */
function stubArray() {
  return [];
}

var stubArray_1 = stubArray;

/** Used for built-in method references. */
var objectProto$b = Object.prototype;

/** Built-in value references. */
var propertyIsEnumerable$1 = objectProto$b.propertyIsEnumerable;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeGetSymbols = Object.getOwnPropertySymbols;

/**
 * Creates an array of the own enumerable symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of symbols.
 */
var getSymbols = !nativeGetSymbols ? stubArray_1 : function(object) {
  if (object == null) {
    return [];
  }
  object = Object(object);
  return _arrayFilter(nativeGetSymbols(object), function(symbol) {
    return propertyIsEnumerable$1.call(object, symbol);
  });
};

var _getSymbols = getSymbols;

/**
 * Copies own symbols of `source` to `object`.
 *
 * @private
 * @param {Object} source The object to copy symbols from.
 * @param {Object} [object={}] The object to copy symbols to.
 * @returns {Object} Returns `object`.
 */
function copySymbols(source, object) {
  return _copyObject(source, _getSymbols(source), object);
}

var _copySymbols = copySymbols;

/**
 * Appends the elements of `values` to `array`.
 *
 * @private
 * @param {Array} array The array to modify.
 * @param {Array} values The values to append.
 * @returns {Array} Returns `array`.
 */
function arrayPush(array, values) {
  var index = -1,
      length = values.length,
      offset = array.length;

  while (++index < length) {
    array[offset + index] = values[index];
  }
  return array;
}

var _arrayPush = arrayPush;

/** Built-in value references. */
var getPrototype = _overArg(Object.getPrototypeOf, Object);

var _getPrototype = getPrototype;

/* Built-in method references for those with the same name as other `lodash` methods. */
var nativeGetSymbols$1 = Object.getOwnPropertySymbols;

/**
 * Creates an array of the own and inherited enumerable symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of symbols.
 */
var getSymbolsIn = !nativeGetSymbols$1 ? stubArray_1 : function(object) {
  var result = [];
  while (object) {
    _arrayPush(result, _getSymbols(object));
    object = _getPrototype(object);
  }
  return result;
};

var _getSymbolsIn = getSymbolsIn;

/**
 * Copies own and inherited symbols of `source` to `object`.
 *
 * @private
 * @param {Object} source The object to copy symbols from.
 * @param {Object} [object={}] The object to copy symbols to.
 * @returns {Object} Returns `object`.
 */
function copySymbolsIn(source, object) {
  return _copyObject(source, _getSymbolsIn(source), object);
}

var _copySymbolsIn = copySymbolsIn;

/**
 * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
 * `keysFunc` and `symbolsFunc` to get the enumerable property names and
 * symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Function} keysFunc The function to get the keys of `object`.
 * @param {Function} symbolsFunc The function to get the symbols of `object`.
 * @returns {Array} Returns the array of property names and symbols.
 */
function baseGetAllKeys(object, keysFunc, symbolsFunc) {
  var result = keysFunc(object);
  return isArray_1(object) ? result : _arrayPush(result, symbolsFunc(object));
}

var _baseGetAllKeys = baseGetAllKeys;

/**
 * Creates an array of own enumerable property names and symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names and symbols.
 */
function getAllKeys(object) {
  return _baseGetAllKeys(object, keys_1, _getSymbols);
}

var _getAllKeys = getAllKeys;

/**
 * Creates an array of own and inherited enumerable property names and
 * symbols of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @returns {Array} Returns the array of property names and symbols.
 */
function getAllKeysIn(object) {
  return _baseGetAllKeys(object, keysIn_1, _getSymbolsIn);
}

var _getAllKeysIn = getAllKeysIn;

/* Built-in method references that are verified to be native. */
var DataView = _getNative(_root, 'DataView');

var _DataView = DataView;

/* Built-in method references that are verified to be native. */
var Promise = _getNative(_root, 'Promise');

var _Promise = Promise;

/* Built-in method references that are verified to be native. */
var Set = _getNative(_root, 'Set');

var _Set = Set;

/* Built-in method references that are verified to be native. */
var WeakMap = _getNative(_root, 'WeakMap');

var _WeakMap = WeakMap;

/** `Object#toString` result references. */
var mapTag$1 = '[object Map]',
    objectTag$1 = '[object Object]',
    promiseTag = '[object Promise]',
    setTag$1 = '[object Set]',
    weakMapTag$1 = '[object WeakMap]';

var dataViewTag$1 = '[object DataView]';

/** Used to detect maps, sets, and weakmaps. */
var dataViewCtorString = _toSource(_DataView),
    mapCtorString = _toSource(_Map),
    promiseCtorString = _toSource(_Promise),
    setCtorString = _toSource(_Set),
    weakMapCtorString = _toSource(_WeakMap);

/**
 * Gets the `toStringTag` of `value`.
 *
 * @private
 * @param {*} value The value to query.
 * @returns {string} Returns the `toStringTag`.
 */
var getTag = _baseGetTag;

// Fallback for data views, maps, sets, and weak maps in IE 11 and promises in Node.js < 6.
if ((_DataView && getTag(new _DataView(new ArrayBuffer(1))) != dataViewTag$1) ||
    (_Map && getTag(new _Map) != mapTag$1) ||
    (_Promise && getTag(_Promise.resolve()) != promiseTag) ||
    (_Set && getTag(new _Set) != setTag$1) ||
    (_WeakMap && getTag(new _WeakMap) != weakMapTag$1)) {
  getTag = function(value) {
    var result = _baseGetTag(value),
        Ctor = result == objectTag$1 ? value.constructor : undefined,
        ctorString = Ctor ? _toSource(Ctor) : '';

    if (ctorString) {
      switch (ctorString) {
        case dataViewCtorString: return dataViewTag$1;
        case mapCtorString: return mapTag$1;
        case promiseCtorString: return promiseTag;
        case setCtorString: return setTag$1;
        case weakMapCtorString: return weakMapTag$1;
      }
    }
    return result;
  };
}

var _getTag = getTag;

/** Used for built-in method references. */
var objectProto$c = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$9 = objectProto$c.hasOwnProperty;

/**
 * Initializes an array clone.
 *
 * @private
 * @param {Array} array The array to clone.
 * @returns {Array} Returns the initialized clone.
 */
function initCloneArray(array) {
  var length = array.length,
      result = new array.constructor(length);

  // Add properties assigned by `RegExp#exec`.
  if (length && typeof array[0] == 'string' && hasOwnProperty$9.call(array, 'index')) {
    result.index = array.index;
    result.input = array.input;
  }
  return result;
}

var _initCloneArray = initCloneArray;

/** Built-in value references. */
var Uint8Array = _root.Uint8Array;

var _Uint8Array = Uint8Array;

/**
 * Creates a clone of `arrayBuffer`.
 *
 * @private
 * @param {ArrayBuffer} arrayBuffer The array buffer to clone.
 * @returns {ArrayBuffer} Returns the cloned array buffer.
 */
function cloneArrayBuffer(arrayBuffer) {
  var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
  new _Uint8Array(result).set(new _Uint8Array(arrayBuffer));
  return result;
}

var _cloneArrayBuffer = cloneArrayBuffer;

/**
 * Creates a clone of `dataView`.
 *
 * @private
 * @param {Object} dataView The data view to clone.
 * @param {boolean} [isDeep] Specify a deep clone.
 * @returns {Object} Returns the cloned data view.
 */
function cloneDataView(dataView, isDeep) {
  var buffer = isDeep ? _cloneArrayBuffer(dataView.buffer) : dataView.buffer;
  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
}

var _cloneDataView = cloneDataView;

/** Used to match `RegExp` flags from their coerced string values. */
var reFlags = /\w*$/;

/**
 * Creates a clone of `regexp`.
 *
 * @private
 * @param {Object} regexp The regexp to clone.
 * @returns {Object} Returns the cloned regexp.
 */
function cloneRegExp(regexp) {
  var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
  result.lastIndex = regexp.lastIndex;
  return result;
}

var _cloneRegExp = cloneRegExp;

/** Used to convert symbols to primitives and strings. */
var symbolProto = _Symbol ? _Symbol.prototype : undefined,
    symbolValueOf = symbolProto ? symbolProto.valueOf : undefined;

/**
 * Creates a clone of the `symbol` object.
 *
 * @private
 * @param {Object} symbol The symbol object to clone.
 * @returns {Object} Returns the cloned symbol object.
 */
function cloneSymbol(symbol) {
  return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
}

var _cloneSymbol = cloneSymbol;

/**
 * Creates a clone of `typedArray`.
 *
 * @private
 * @param {Object} typedArray The typed array to clone.
 * @param {boolean} [isDeep] Specify a deep clone.
 * @returns {Object} Returns the cloned typed array.
 */
function cloneTypedArray(typedArray, isDeep) {
  var buffer = isDeep ? _cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}

var _cloneTypedArray = cloneTypedArray;

/** `Object#toString` result references. */
var boolTag$1 = '[object Boolean]',
    dateTag$1 = '[object Date]',
    mapTag$2 = '[object Map]',
    numberTag$1 = '[object Number]',
    regexpTag$1 = '[object RegExp]',
    setTag$2 = '[object Set]',
    stringTag$1 = '[object String]',
    symbolTag = '[object Symbol]';

var arrayBufferTag$1 = '[object ArrayBuffer]',
    dataViewTag$2 = '[object DataView]',
    float32Tag$1 = '[object Float32Array]',
    float64Tag$1 = '[object Float64Array]',
    int8Tag$1 = '[object Int8Array]',
    int16Tag$1 = '[object Int16Array]',
    int32Tag$1 = '[object Int32Array]',
    uint8Tag$1 = '[object Uint8Array]',
    uint8ClampedTag$1 = '[object Uint8ClampedArray]',
    uint16Tag$1 = '[object Uint16Array]',
    uint32Tag$1 = '[object Uint32Array]';

/**
 * Initializes an object clone based on its `toStringTag`.
 *
 * **Note:** This function only supports cloning values with tags of
 * `Boolean`, `Date`, `Error`, `Map`, `Number`, `RegExp`, `Set`, or `String`.
 *
 * @private
 * @param {Object} object The object to clone.
 * @param {string} tag The `toStringTag` of the object to clone.
 * @param {boolean} [isDeep] Specify a deep clone.
 * @returns {Object} Returns the initialized clone.
 */
function initCloneByTag(object, tag, isDeep) {
  var Ctor = object.constructor;
  switch (tag) {
    case arrayBufferTag$1:
      return _cloneArrayBuffer(object);

    case boolTag$1:
    case dateTag$1:
      return new Ctor(+object);

    case dataViewTag$2:
      return _cloneDataView(object, isDeep);

    case float32Tag$1: case float64Tag$1:
    case int8Tag$1: case int16Tag$1: case int32Tag$1:
    case uint8Tag$1: case uint8ClampedTag$1: case uint16Tag$1: case uint32Tag$1:
      return _cloneTypedArray(object, isDeep);

    case mapTag$2:
      return new Ctor;

    case numberTag$1:
    case stringTag$1:
      return new Ctor(object);

    case regexpTag$1:
      return _cloneRegExp(object);

    case setTag$2:
      return new Ctor;

    case symbolTag:
      return _cloneSymbol(object);
  }
}

var _initCloneByTag = initCloneByTag;

/** Built-in value references. */
var objectCreate = Object.create;

/**
 * The base implementation of `_.create` without support for assigning
 * properties to the created object.
 *
 * @private
 * @param {Object} proto The object to inherit from.
 * @returns {Object} Returns the new object.
 */
var baseCreate = (function() {
  function object() {}
  return function(proto) {
    if (!isObject_1(proto)) {
      return {};
    }
    if (objectCreate) {
      return objectCreate(proto);
    }
    object.prototype = proto;
    var result = new object;
    object.prototype = undefined;
    return result;
  };
}());

var _baseCreate = baseCreate;

/**
 * Initializes an object clone.
 *
 * @private
 * @param {Object} object The object to clone.
 * @returns {Object} Returns the initialized clone.
 */
function initCloneObject(object) {
  return (typeof object.constructor == 'function' && !_isPrototype(object))
    ? _baseCreate(_getPrototype(object))
    : {};
}

var _initCloneObject = initCloneObject;

/** `Object#toString` result references. */
var mapTag$3 = '[object Map]';

/**
 * The base implementation of `_.isMap` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a map, else `false`.
 */
function baseIsMap(value) {
  return isObjectLike_1(value) && _getTag(value) == mapTag$3;
}

var _baseIsMap = baseIsMap;

/* Node.js helper references. */
var nodeIsMap = _nodeUtil && _nodeUtil.isMap;

/**
 * Checks if `value` is classified as a `Map` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a map, else `false`.
 * @example
 *
 * _.isMap(new Map);
 * // => true
 *
 * _.isMap(new WeakMap);
 * // => false
 */
var isMap = nodeIsMap ? _baseUnary(nodeIsMap) : _baseIsMap;

var isMap_1 = isMap;

/** `Object#toString` result references. */
var setTag$3 = '[object Set]';

/**
 * The base implementation of `_.isSet` without Node.js optimizations.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a set, else `false`.
 */
function baseIsSet(value) {
  return isObjectLike_1(value) && _getTag(value) == setTag$3;
}

var _baseIsSet = baseIsSet;

/* Node.js helper references. */
var nodeIsSet = _nodeUtil && _nodeUtil.isSet;

/**
 * Checks if `value` is classified as a `Set` object.
 *
 * @static
 * @memberOf _
 * @since 4.3.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a set, else `false`.
 * @example
 *
 * _.isSet(new Set);
 * // => true
 *
 * _.isSet(new WeakSet);
 * // => false
 */
var isSet = nodeIsSet ? _baseUnary(nodeIsSet) : _baseIsSet;

var isSet_1 = isSet;

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG = 1,
    CLONE_FLAT_FLAG = 2,
    CLONE_SYMBOLS_FLAG = 4;

/** `Object#toString` result references. */
var argsTag$2 = '[object Arguments]',
    arrayTag$1 = '[object Array]',
    boolTag$2 = '[object Boolean]',
    dateTag$2 = '[object Date]',
    errorTag$1 = '[object Error]',
    funcTag$2 = '[object Function]',
    genTag$1 = '[object GeneratorFunction]',
    mapTag$4 = '[object Map]',
    numberTag$2 = '[object Number]',
    objectTag$2 = '[object Object]',
    regexpTag$2 = '[object RegExp]',
    setTag$4 = '[object Set]',
    stringTag$2 = '[object String]',
    symbolTag$1 = '[object Symbol]',
    weakMapTag$2 = '[object WeakMap]';

var arrayBufferTag$2 = '[object ArrayBuffer]',
    dataViewTag$3 = '[object DataView]',
    float32Tag$2 = '[object Float32Array]',
    float64Tag$2 = '[object Float64Array]',
    int8Tag$2 = '[object Int8Array]',
    int16Tag$2 = '[object Int16Array]',
    int32Tag$2 = '[object Int32Array]',
    uint8Tag$2 = '[object Uint8Array]',
    uint8ClampedTag$2 = '[object Uint8ClampedArray]',
    uint16Tag$2 = '[object Uint16Array]',
    uint32Tag$2 = '[object Uint32Array]';

/** Used to identify `toStringTag` values supported by `_.clone`. */
var cloneableTags = {};
cloneableTags[argsTag$2] = cloneableTags[arrayTag$1] =
cloneableTags[arrayBufferTag$2] = cloneableTags[dataViewTag$3] =
cloneableTags[boolTag$2] = cloneableTags[dateTag$2] =
cloneableTags[float32Tag$2] = cloneableTags[float64Tag$2] =
cloneableTags[int8Tag$2] = cloneableTags[int16Tag$2] =
cloneableTags[int32Tag$2] = cloneableTags[mapTag$4] =
cloneableTags[numberTag$2] = cloneableTags[objectTag$2] =
cloneableTags[regexpTag$2] = cloneableTags[setTag$4] =
cloneableTags[stringTag$2] = cloneableTags[symbolTag$1] =
cloneableTags[uint8Tag$2] = cloneableTags[uint8ClampedTag$2] =
cloneableTags[uint16Tag$2] = cloneableTags[uint32Tag$2] = true;
cloneableTags[errorTag$1] = cloneableTags[funcTag$2] =
cloneableTags[weakMapTag$2] = false;

/**
 * The base implementation of `_.clone` and `_.cloneDeep` which tracks
 * traversed objects.
 *
 * @private
 * @param {*} value The value to clone.
 * @param {boolean} bitmask The bitmask flags.
 *  1 - Deep clone
 *  2 - Flatten inherited properties
 *  4 - Clone symbols
 * @param {Function} [customizer] The function to customize cloning.
 * @param {string} [key] The key of `value`.
 * @param {Object} [object] The parent object of `value`.
 * @param {Object} [stack] Tracks traversed objects and their clone counterparts.
 * @returns {*} Returns the cloned value.
 */
function baseClone(value, bitmask, customizer, key, object, stack) {
  var result,
      isDeep = bitmask & CLONE_DEEP_FLAG,
      isFlat = bitmask & CLONE_FLAT_FLAG,
      isFull = bitmask & CLONE_SYMBOLS_FLAG;

  if (customizer) {
    result = object ? customizer(value, key, object, stack) : customizer(value);
  }
  if (result !== undefined) {
    return result;
  }
  if (!isObject_1(value)) {
    return value;
  }
  var isArr = isArray_1(value);
  if (isArr) {
    result = _initCloneArray(value);
    if (!isDeep) {
      return _copyArray(value, result);
    }
  } else {
    var tag = _getTag(value),
        isFunc = tag == funcTag$2 || tag == genTag$1;

    if (isBuffer_1(value)) {
      return _cloneBuffer(value, isDeep);
    }
    if (tag == objectTag$2 || tag == argsTag$2 || (isFunc && !object)) {
      result = (isFlat || isFunc) ? {} : _initCloneObject(value);
      if (!isDeep) {
        return isFlat
          ? _copySymbolsIn(value, _baseAssignIn(result, value))
          : _copySymbols(value, _baseAssign(result, value));
      }
    } else {
      if (!cloneableTags[tag]) {
        return object ? value : {};
      }
      result = _initCloneByTag(value, tag, isDeep);
    }
  }
  // Check for circular references and return its corresponding clone.
  stack || (stack = new _Stack);
  var stacked = stack.get(value);
  if (stacked) {
    return stacked;
  }
  stack.set(value, result);

  if (isSet_1(value)) {
    value.forEach(function(subValue) {
      result.add(baseClone(subValue, bitmask, customizer, subValue, value, stack));
    });
  } else if (isMap_1(value)) {
    value.forEach(function(subValue, key) {
      result.set(key, baseClone(subValue, bitmask, customizer, key, value, stack));
    });
  }

  var keysFunc = isFull
    ? (isFlat ? _getAllKeysIn : _getAllKeys)
    : (isFlat ? keysIn : keys_1);

  var props = isArr ? undefined : keysFunc(value);
  _arrayEach(props || value, function(subValue, key) {
    if (props) {
      key = subValue;
      subValue = value[key];
    }
    // Recursively populate clone (susceptible to call stack limits).
    _assignValue(result, key, baseClone(subValue, bitmask, customizer, key, value, stack));
  });
  return result;
}

var _baseClone = baseClone;

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG$1 = 1,
    CLONE_SYMBOLS_FLAG$1 = 4;

/**
 * This method is like `_.clone` except that it recursively clones `value`.
 *
 * @static
 * @memberOf _
 * @since 1.0.0
 * @category Lang
 * @param {*} value The value to recursively clone.
 * @returns {*} Returns the deep cloned value.
 * @see _.clone
 * @example
 *
 * var objects = [{ 'a': 1 }, { 'b': 2 }];
 *
 * var deep = _.cloneDeep(objects);
 * console.log(deep[0] === objects[0]);
 * // => false
 */
function cloneDeep(value) {
  return _baseClone(value, CLONE_DEEP_FLAG$1 | CLONE_SYMBOLS_FLAG$1);
}

var cloneDeep_1 = cloneDeep;

/** Used to stand-in for `undefined` hash values. */
var HASH_UNDEFINED$2 = '__lodash_hash_undefined__';

/**
 * Adds `value` to the array cache.
 *
 * @private
 * @name add
 * @memberOf SetCache
 * @alias push
 * @param {*} value The value to cache.
 * @returns {Object} Returns the cache instance.
 */
function setCacheAdd(value) {
  this.__data__.set(value, HASH_UNDEFINED$2);
  return this;
}

var _setCacheAdd = setCacheAdd;

/**
 * Checks if `value` is in the array cache.
 *
 * @private
 * @name has
 * @memberOf SetCache
 * @param {*} value The value to search for.
 * @returns {number} Returns `true` if `value` is found, else `false`.
 */
function setCacheHas(value) {
  return this.__data__.has(value);
}

var _setCacheHas = setCacheHas;

/**
 *
 * Creates an array cache object to store unique values.
 *
 * @private
 * @constructor
 * @param {Array} [values] The values to cache.
 */
function SetCache(values) {
  var index = -1,
      length = values == null ? 0 : values.length;

  this.__data__ = new _MapCache;
  while (++index < length) {
    this.add(values[index]);
  }
}

// Add methods to `SetCache`.
SetCache.prototype.add = SetCache.prototype.push = _setCacheAdd;
SetCache.prototype.has = _setCacheHas;

var _SetCache = SetCache;

/**
 * A specialized version of `_.some` for arrays without support for iteratee
 * shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} predicate The function invoked per iteration.
 * @returns {boolean} Returns `true` if any element passes the predicate check,
 *  else `false`.
 */
function arraySome(array, predicate) {
  var index = -1,
      length = array == null ? 0 : array.length;

  while (++index < length) {
    if (predicate(array[index], index, array)) {
      return true;
    }
  }
  return false;
}

var _arraySome = arraySome;

/**
 * Checks if a `cache` value for `key` exists.
 *
 * @private
 * @param {Object} cache The cache to query.
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function cacheHas(cache, key) {
  return cache.has(key);
}

var _cacheHas = cacheHas;

/** Used to compose bitmasks for value comparisons. */
var COMPARE_PARTIAL_FLAG = 1,
    COMPARE_UNORDERED_FLAG = 2;

/**
 * A specialized version of `baseIsEqualDeep` for arrays with support for
 * partial deep comparisons.
 *
 * @private
 * @param {Array} array The array to compare.
 * @param {Array} other The other array to compare.
 * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
 * @param {Function} customizer The function to customize comparisons.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Object} stack Tracks traversed `array` and `other` objects.
 * @returns {boolean} Returns `true` if the arrays are equivalent, else `false`.
 */
function equalArrays(array, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG,
      arrLength = array.length,
      othLength = other.length;

  if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
    return false;
  }
  // Assume cyclic values are equal.
  var stacked = stack.get(array);
  if (stacked && stack.get(other)) {
    return stacked == other;
  }
  var index = -1,
      result = true,
      seen = (bitmask & COMPARE_UNORDERED_FLAG) ? new _SetCache : undefined;

  stack.set(array, other);
  stack.set(other, array);

  // Ignore non-index properties.
  while (++index < arrLength) {
    var arrValue = array[index],
        othValue = other[index];

    if (customizer) {
      var compared = isPartial
        ? customizer(othValue, arrValue, index, other, array, stack)
        : customizer(arrValue, othValue, index, array, other, stack);
    }
    if (compared !== undefined) {
      if (compared) {
        continue;
      }
      result = false;
      break;
    }
    // Recursively compare arrays (susceptible to call stack limits).
    if (seen) {
      if (!_arraySome(other, function(othValue, othIndex) {
            if (!_cacheHas(seen, othIndex) &&
                (arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
              return seen.push(othIndex);
            }
          })) {
        result = false;
        break;
      }
    } else if (!(
          arrValue === othValue ||
            equalFunc(arrValue, othValue, bitmask, customizer, stack)
        )) {
      result = false;
      break;
    }
  }
  stack['delete'](array);
  stack['delete'](other);
  return result;
}

var _equalArrays = equalArrays;

/**
 * Converts `map` to its key-value pairs.
 *
 * @private
 * @param {Object} map The map to convert.
 * @returns {Array} Returns the key-value pairs.
 */
function mapToArray(map) {
  var index = -1,
      result = Array(map.size);

  map.forEach(function(value, key) {
    result[++index] = [key, value];
  });
  return result;
}

var _mapToArray = mapToArray;

/**
 * Converts `set` to an array of its values.
 *
 * @private
 * @param {Object} set The set to convert.
 * @returns {Array} Returns the values.
 */
function setToArray(set) {
  var index = -1,
      result = Array(set.size);

  set.forEach(function(value) {
    result[++index] = value;
  });
  return result;
}

var _setToArray = setToArray;

/** Used to compose bitmasks for value comparisons. */
var COMPARE_PARTIAL_FLAG$1 = 1,
    COMPARE_UNORDERED_FLAG$1 = 2;

/** `Object#toString` result references. */
var boolTag$3 = '[object Boolean]',
    dateTag$3 = '[object Date]',
    errorTag$2 = '[object Error]',
    mapTag$5 = '[object Map]',
    numberTag$3 = '[object Number]',
    regexpTag$3 = '[object RegExp]',
    setTag$5 = '[object Set]',
    stringTag$3 = '[object String]',
    symbolTag$2 = '[object Symbol]';

var arrayBufferTag$3 = '[object ArrayBuffer]',
    dataViewTag$4 = '[object DataView]';

/** Used to convert symbols to primitives and strings. */
var symbolProto$1 = _Symbol ? _Symbol.prototype : undefined,
    symbolValueOf$1 = symbolProto$1 ? symbolProto$1.valueOf : undefined;

/**
 * A specialized version of `baseIsEqualDeep` for comparing objects of
 * the same `toStringTag`.
 *
 * **Note:** This function only supports comparing values with tags of
 * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
 *
 * @private
 * @param {Object} object The object to compare.
 * @param {Object} other The other object to compare.
 * @param {string} tag The `toStringTag` of the objects to compare.
 * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
 * @param {Function} customizer The function to customize comparisons.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Object} stack Tracks traversed `object` and `other` objects.
 * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
 */
function equalByTag(object, other, tag, bitmask, customizer, equalFunc, stack) {
  switch (tag) {
    case dataViewTag$4:
      if ((object.byteLength != other.byteLength) ||
          (object.byteOffset != other.byteOffset)) {
        return false;
      }
      object = object.buffer;
      other = other.buffer;

    case arrayBufferTag$3:
      if ((object.byteLength != other.byteLength) ||
          !equalFunc(new _Uint8Array(object), new _Uint8Array(other))) {
        return false;
      }
      return true;

    case boolTag$3:
    case dateTag$3:
    case numberTag$3:
      // Coerce booleans to `1` or `0` and dates to milliseconds.
      // Invalid dates are coerced to `NaN`.
      return eq_1(+object, +other);

    case errorTag$2:
      return object.name == other.name && object.message == other.message;

    case regexpTag$3:
    case stringTag$3:
      // Coerce regexes to strings and treat strings, primitives and objects,
      // as equal. See http://www.ecma-international.org/ecma-262/7.0/#sec-regexp.prototype.tostring
      // for more details.
      return object == (other + '');

    case mapTag$5:
      var convert = _mapToArray;

    case setTag$5:
      var isPartial = bitmask & COMPARE_PARTIAL_FLAG$1;
      convert || (convert = _setToArray);

      if (object.size != other.size && !isPartial) {
        return false;
      }
      // Assume cyclic values are equal.
      var stacked = stack.get(object);
      if (stacked) {
        return stacked == other;
      }
      bitmask |= COMPARE_UNORDERED_FLAG$1;

      // Recursively compare objects (susceptible to call stack limits).
      stack.set(object, other);
      var result = _equalArrays(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
      stack['delete'](object);
      return result;

    case symbolTag$2:
      if (symbolValueOf$1) {
        return symbolValueOf$1.call(object) == symbolValueOf$1.call(other);
      }
  }
  return false;
}

var _equalByTag = equalByTag;

/** Used to compose bitmasks for value comparisons. */
var COMPARE_PARTIAL_FLAG$2 = 1;

/** Used for built-in method references. */
var objectProto$d = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$a = objectProto$d.hasOwnProperty;

/**
 * A specialized version of `baseIsEqualDeep` for objects with support for
 * partial deep comparisons.
 *
 * @private
 * @param {Object} object The object to compare.
 * @param {Object} other The other object to compare.
 * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
 * @param {Function} customizer The function to customize comparisons.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Object} stack Tracks traversed `object` and `other` objects.
 * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
 */
function equalObjects(object, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG$2,
      objProps = _getAllKeys(object),
      objLength = objProps.length,
      othProps = _getAllKeys(other),
      othLength = othProps.length;

  if (objLength != othLength && !isPartial) {
    return false;
  }
  var index = objLength;
  while (index--) {
    var key = objProps[index];
    if (!(isPartial ? key in other : hasOwnProperty$a.call(other, key))) {
      return false;
    }
  }
  // Assume cyclic values are equal.
  var stacked = stack.get(object);
  if (stacked && stack.get(other)) {
    return stacked == other;
  }
  var result = true;
  stack.set(object, other);
  stack.set(other, object);

  var skipCtor = isPartial;
  while (++index < objLength) {
    key = objProps[index];
    var objValue = object[key],
        othValue = other[key];

    if (customizer) {
      var compared = isPartial
        ? customizer(othValue, objValue, key, other, object, stack)
        : customizer(objValue, othValue, key, object, other, stack);
    }
    // Recursively compare objects (susceptible to call stack limits).
    if (!(compared === undefined
          ? (objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack))
          : compared
        )) {
      result = false;
      break;
    }
    skipCtor || (skipCtor = key == 'constructor');
  }
  if (result && !skipCtor) {
    var objCtor = object.constructor,
        othCtor = other.constructor;

    // Non `Object` object instances with different constructors are not equal.
    if (objCtor != othCtor &&
        ('constructor' in object && 'constructor' in other) &&
        !(typeof objCtor == 'function' && objCtor instanceof objCtor &&
          typeof othCtor == 'function' && othCtor instanceof othCtor)) {
      result = false;
    }
  }
  stack['delete'](object);
  stack['delete'](other);
  return result;
}

var _equalObjects = equalObjects;

/** Used to compose bitmasks for value comparisons. */
var COMPARE_PARTIAL_FLAG$3 = 1;

/** `Object#toString` result references. */
var argsTag$3 = '[object Arguments]',
    arrayTag$2 = '[object Array]',
    objectTag$3 = '[object Object]';

/** Used for built-in method references. */
var objectProto$e = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty$b = objectProto$e.hasOwnProperty;

/**
 * A specialized version of `baseIsEqual` for arrays and objects which performs
 * deep comparisons and tracks traversed objects enabling objects with circular
 * references to be compared.
 *
 * @private
 * @param {Object} object The object to compare.
 * @param {Object} other The other object to compare.
 * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
 * @param {Function} customizer The function to customize comparisons.
 * @param {Function} equalFunc The function to determine equivalents of values.
 * @param {Object} [stack] Tracks traversed `object` and `other` objects.
 * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
 */
function baseIsEqualDeep(object, other, bitmask, customizer, equalFunc, stack) {
  var objIsArr = isArray_1(object),
      othIsArr = isArray_1(other),
      objTag = objIsArr ? arrayTag$2 : _getTag(object),
      othTag = othIsArr ? arrayTag$2 : _getTag(other);

  objTag = objTag == argsTag$3 ? objectTag$3 : objTag;
  othTag = othTag == argsTag$3 ? objectTag$3 : othTag;

  var objIsObj = objTag == objectTag$3,
      othIsObj = othTag == objectTag$3,
      isSameTag = objTag == othTag;

  if (isSameTag && isBuffer_1(object)) {
    if (!isBuffer_1(other)) {
      return false;
    }
    objIsArr = true;
    objIsObj = false;
  }
  if (isSameTag && !objIsObj) {
    stack || (stack = new _Stack);
    return (objIsArr || isTypedArray_1(object))
      ? _equalArrays(object, other, bitmask, customizer, equalFunc, stack)
      : _equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
  }
  if (!(bitmask & COMPARE_PARTIAL_FLAG$3)) {
    var objIsWrapped = objIsObj && hasOwnProperty$b.call(object, '__wrapped__'),
        othIsWrapped = othIsObj && hasOwnProperty$b.call(other, '__wrapped__');

    if (objIsWrapped || othIsWrapped) {
      var objUnwrapped = objIsWrapped ? object.value() : object,
          othUnwrapped = othIsWrapped ? other.value() : other;

      stack || (stack = new _Stack);
      return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
    }
  }
  if (!isSameTag) {
    return false;
  }
  stack || (stack = new _Stack);
  return _equalObjects(object, other, bitmask, customizer, equalFunc, stack);
}

var _baseIsEqualDeep = baseIsEqualDeep;

/**
 * The base implementation of `_.isEqual` which supports partial comparisons
 * and tracks traversed objects.
 *
 * @private
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @param {boolean} bitmask The bitmask flags.
 *  1 - Unordered comparison
 *  2 - Partial comparison
 * @param {Function} [customizer] The function to customize comparisons.
 * @param {Object} [stack] Tracks traversed `value` and `other` objects.
 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
 */
function baseIsEqual(value, other, bitmask, customizer, stack) {
  if (value === other) {
    return true;
  }
  if (value == null || other == null || (!isObjectLike_1(value) && !isObjectLike_1(other))) {
    return value !== value && other !== other;
  }
  return _baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual, stack);
}

var _baseIsEqual = baseIsEqual;

/**
 * Performs a deep comparison between two values to determine if they are
 * equivalent.
 *
 * **Note:** This method supports comparing arrays, array buffers, booleans,
 * date objects, error objects, maps, numbers, `Object` objects, regexes,
 * sets, strings, symbols, and typed arrays. `Object` objects are compared
 * by their own, not inherited, enumerable properties. Functions and DOM
 * nodes are compared by strict equality, i.e. `===`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
 * @example
 *
 * var object = { 'a': 1 };
 * var other = { 'a': 1 };
 *
 * _.isEqual(object, other);
 * // => true
 *
 * object === other;
 * // => false
 */
function isEqual(value, other) {
  return _baseIsEqual(value, other);
}

var isEqual_1 = isEqual;

/**
 * An enumeration of the available drawing modes.
 */
var DrawingMode;
(function (DrawingMode) {
    /**
     * Draw individual points on the map.
     * Literal value `"draw-point"`
     */
    DrawingMode["drawPoint"] = "draw-point";
    /**
     * Draw lines on the map.
     * Literal value `"draw-line"`
     */
    DrawingMode["drawLine"] = "draw-line";
    /**
     * Draw polygons on the map.
     * Literal value `"draw-polygon"`
     */
    DrawingMode["drawPolygon"] = "draw-polygon";
    /**
     * Draw circles on the map.
     * Literal value `"draw-circle"`
     */
    DrawingMode["drawCircle"] = "draw-circle";
    /**
     * Draw rectangles on the map.
     * Literal value `"draw-rectangle"`
     */
    DrawingMode["drawRectangle"] = "draw-rectangle";
    // /**
    //  * Select shapes and edit their properties.
    //  */
    // TODO
    // editProperties = "edit-properties",
    /**
     * When in this mode the user can add/remove/move points/coordinates of a shape, rotate shapes, drag shapes.
     */
    DrawingMode["editGeometry"] = "edit-geometry";
    /**
     * Sets the drawing manager into an idle state.
     * Completes any drawing/edit that are in progress.
     * Literal value `"idle"`
     */
    DrawingMode["idle"] = "idle";
})(DrawingMode || (DrawingMode = {}));

/**
 * @private
 */
var Options = /** @class */ (function () {
    function Options() {
    }
    /**
     * @internal
     */
    Options.prototype.merge = function () {
        var valuesList = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            valuesList[_i] = arguments[_i];
        }
        var defaults;
        for (var _a = 0, valuesList_1 = valuesList; _a < valuesList_1.length; _a++) {
            var values = valuesList_1[_a];
            if (!values) {
                continue;
            }
            for (var property in values) {
                if (values.hasOwnProperty(property) && this.hasOwnProperty(property)) {
                    if (values[property] !== undefined && values[property] != null) {
                        // Check for nested options and merge them rather than simply overwriting.
                        if (this[property] instanceof Options) {
                            this[property].merge(values[property]);
                        }
                        else {
                            this[property] = values[property];
                        }
                    }
                    else {
                        // Assume a value of undefined or null intends to take the default value.
                        // Create a new object to access its defaults.
                        if (!defaults) {
                            defaults = new (Object.getPrototypeOf(this).constructor)();
                        }
                        this[property] = defaults[property];
                    }
                }
            }
        }
        return this;
    };
    return Options;
}());

/**
 * Options for the DrawingToolbar control.
 */
var DrawingToolbarOptions = /** @class */ (function (_super) {
    __extends(DrawingToolbarOptions, _super);
    function DrawingToolbarOptions() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        /**
         * The id of a HTML element in which the toolbar should be added to.
         * If not specified, the toolbar will be added to the map.
         */
        _this.containerId = undefined;
        /**
         * If the toolbar is added to the map, this value will specify where on the map the toolbar control will be added.
         * Default is `atlas.ControlPosition.NonFixed`
         * @default atlas.ControlPosition.NonFixed
         */
        _this.position = azmaps.ControlPosition.NonFixed;
        /**
         * An array of buttons to display in the toolbar.
         * The order of this array will match the order of the buttons in the toolbar.
         * Valid values are any drawing mode except `"idle"`.
         * Default is all drawing modes except `"idle"`.
         * @default All drawing modes except "idle"
         */
        _this.buttons = [
            DrawingMode.drawPoint,
            DrawingMode.drawLine,
            DrawingMode.drawPolygon,
            DrawingMode.drawCircle,
            DrawingMode.drawRectangle,
            DrawingMode.editGeometry
        ];
        /**
         * The number of columns to display the buttons with.
         * If the number of columns is greater than or equal to the number of buttons
         * the toolbar will be a single horizontal row.
         * If only one column is used the toolbar will be a single vertical column.
         * Default is `Infinity`.
         * @default Infinity
         */
        _this.numColumns = Infinity;
        /**
         * The style of the DrawingToolbar.
         * Possible values are: `"light"` or `"dark"`.
         * Default is `"light"`.
         * @default "light"
         */
        _this.style = "light";
        /**
         * Specifies if the toolbar is visible or not.
         * Default `true`.
         * @default true
         */
        _this.visible = true;
        return _this;
    }
    return DrawingToolbarOptions;
}(Options));

/**
 * A control for changing the drawing mode.
 */
var DrawingToolbar = /** @class */ (function () {
    /**
     * Constructs a DrawingToolbar.
     * @param options The options for the DrawingToolbar.
     */
    function DrawingToolbar(options) {
        var _this = this;
        /**
         * Call back for styledata event, updates the toolbar's style based on the map's style.
         */
        this._updateStyle = function () {
            _this._setStyle(_this.options);
        };
        /**
         * Sets the effective drawing mode for the toolbar.
         * Updates the buttons active state.
         */
        this._updateMode = function (mode) {
            for (var i = 0; i < _this.toolbar.children.length; i++) {
                var child = _this.toolbar.children.item(i);
                if (child.dataset.mode === mode) {
                    child.classList.add(DrawingToolbar.Css.active);
                }
                else {
                    child.classList.remove(DrawingToolbar.Css.active);
                }
            }
        };
        this.options = new DrawingToolbarOptions().merge(cloneDeep_1(options));
    }
    /**
     * Gets the options used by the DrawingToolbar.
     */
    DrawingToolbar.prototype.getOptions = function () {
        return cloneDeep_1(this.options);
    };
    /**
     * Sets the options for the DrawingToolbar.
     * @param options The new options for the DrawingToolbar.
     */
    DrawingToolbar.prototype.setOptions = function (options) {
        var newOptions = new DrawingToolbarOptions().merge(this.options, cloneDeep_1(options));
        // Only worry about updating the settings if the toolbar has already been opened.
        if (this.toolbar) {
            // Update toolbar's visibility
            if (newOptions.visible !== this.options.visible) {
                if (newOptions.visible) {
                    this.toolbar.classList.remove(DrawingToolbar.Css.hide);
                }
                else {
                    this.toolbar.classList.add(DrawingToolbar.Css.hide);
                }
            }
            // Update the location/position of the toolbar
            if (newOptions.containerId !== this.options.containerId) {
                if (newOptions.containerId) {
                    var container = document.getElementById(newOptions.containerId);
                    if (!container) {
                        throw new Error("There is no container with ID '" + this.options.containerId + " " +
                            "to add the toolbar to.");
                    }
                    this.map.controls.remove(this);
                    container.appendChild(this.toolbar);
                }
                else {
                    this.toolbar.remove();
                    // If the control is not in the non-fixed position use a container
                    // which will use the standard container control css class.
                    if (newOptions.position !== azmaps.ControlPosition.NonFixed) {
                        this._constructControl();
                    }
                    this.map.controls.add(this, { position: newOptions.position });
                }
            }
            else if (!newOptions.containerId && newOptions.position !== this.options.position) {
                this.map.controls.remove(this);
                // If the control is not in the non-fixed position use a container
                // which will use the standard container control css class.
                if (newOptions.position !== azmaps.ControlPosition.NonFixed) {
                    this._constructControl();
                }
                this.map.controls.add(this, { position: newOptions.position });
            }
            // Update the toolbar's style
            if (newOptions.style !== this.options.style) {
                this._setStyle(newOptions);
                // If the style is auto setup the event listener.
                // Otherwise disable the existing listener.
                if (newOptions.style === "auto") {
                    this.map.events.add("styledata", this._updateStyle);
                }
                else {
                    this.map.events.remove("styledata", this._updateStyle);
                }
            }
            // Update the toolbar's layout/buttons
            if (!isEqual_1(newOptions.buttons, this.options.buttons)) {
                // If new buttons are needed first remove the old ones.
                while (this.toolbar.firstChild) {
                    this.toolbar.removeChild(this.toolbar.firstChild);
                }
                // Add new buttons
                this._addButtons(this.drawMgr, newOptions);
            }
            else if (newOptions.numColumns !== this.options.numColumns) {
                var children = this.toolbar.children;
                for (var i = 0; i < children.length; i++) {
                    var child = children.item(i);
                    if ((i + 1) % newOptions.numColumns !== 0) {
                        child.style.cssFloat = "left";
                    }
                    else {
                        child.style.cssFloat = null;
                    }
                }
            }
        }
        this.options = newOptions;
    };
    /**
     * Initialization method for the control which is called when added to the map.
     * @return An HTMLElement to be placed on the map for the control.
     */
    DrawingToolbar.prototype.onAdd = function () {
        if (!this.toolbar) {
            throw new Error("The toolbar cannot be added directly to the map, it must be passed to a DrawingManager");
        }
        return this.control || this.toolbar;
    };
    /**
     * Method that is called when the control is removed from the map. Should perform any necessary cleanup for the
     * control.
     */
    DrawingToolbar.prototype.onRemove = function () {
        (this.control || this.toolbar).remove();
        delete this.control;
    };
    /**
     * Opens the toolbar on the page.
     * @param manager The drawing manager which owns the toolbar.
     * @param map The map the drawing manager is connected to.
     * @internal
     */
    DrawingToolbar.prototype._open = function (manager, map) {
        if (this.toolbar) {
            throw new Error("The toolbar is already opened, it cannot be opened again.");
        }
        // Keep track of the map the drawing toolbar is associated with.
        this.map = map;
        this.drawMgr = manager;
        // If a containerId is specified add the toolbar to it,
        // otherwise add the toolbar to the map.
        if (this.options.containerId) {
            var container = document.getElementById(this.options.containerId);
            if (!container) {
                throw new Error("There is no container with ID '" + this.options.containerId + " to add the toolbar to.");
            }
            this._constructToolbar(manager, map);
            container.appendChild(this.toolbar);
        }
        else {
            this._constructToolbar(manager, map);
            // If the control is not in the non-fixed position use a container
            // which will use the standard container control css class.
            if (this.options.position !== azmaps.ControlPosition.NonFixed) {
                this._constructControl();
            }
            map.controls.add(this, { position: this.options.position });
        }
    };
    /**
     * Closes the toolbar removing it from the page.
     * @internal
     */
    DrawingToolbar.prototype._close = function () {
        if (!this.toolbar) {
            throw new Error("Cannot close the toolbar, it has not been opened yet.");
        }
        if (!this.options.containerId) {
            this.map.controls.remove(this);
        }
        else {
            this.toolbar.remove();
        }
        // Remove the drawing mode change listener.
        this.map.events.remove("drawingmodechanged", this.drawMgr, this._updateMode);
        this.map.events.remove("styledata", this._updateStyle);
        // Remove the old toolbar.
        delete this.toolbar;
        delete this.drawMgr;
        delete this.map;
    };
    /**
     * Check if the toolbar is open
     * @internal
     */
    DrawingToolbar.prototype._isOpen = function () {
        return !!this.toolbar;
    };
    /**
     * Removes the toolbar and releases all resources used by it.
     */
    DrawingToolbar.prototype._dispose = function () {
        this._close();
    };
    /**
     * Constructs the container for the toolbar.
     */
    DrawingToolbar.prototype._constructToolbar = function (manager, map) {
        this.toolbar = document.createElement("div");
        this.toolbar.classList.add(DrawingToolbar.Css.toolbar);
        this._setStyle(this.options);
        // If the style is auto setup the event listener.
        if (this.options.style === "auto") {
            map.events.add("styledata", this._updateStyle);
        }
        // Set toolbar visibility.
        if (!this.options.visible) {
            this.toolbar.classList.add(DrawingToolbar.Css.hide);
        }
        // Update the active buttons when the manager changes modes.
        map.events.add("drawingmodechanged", manager, this._updateMode);
        this._addButtons(manager, this.options);
    };
    /**
     * Adds buttons to a toolbar based on the specified options.
     */
    DrawingToolbar.prototype._addButtons = function (manager, options) {
        var mode = manager.getOptions().mode;
        for (var i = 0; i < options.buttons.length; i++) {
            var buttonType = options.buttons[i];
            var button = document.createElement("button");
            button.type = "button";
            button.dataset.mode = buttonType;
            button.setAttribute("aria-label", buttonType);
            button.setAttribute("title", buttonType);
            button.classList.add(DrawingToolbar.Css.button, buttonType);
            button.addEventListener("click", this._getBtnCallback(button, manager));
            // If the button isn't on the end of a row allow
            // it to float with the other buttons of that row.
            if ((i + 1) % options.numColumns !== 0) {
                button.style.cssFloat = "left";
            }
            // If the button's mode is already active
            // mark the button as active too.
            if (mode === buttonType) {
                button.classList.add(DrawingToolbar.Css.active);
            }
            this.toolbar.appendChild(button);
        }
    };
    /**
     * Creates the necessary callback for a button based on the button type.
     */
    DrawingToolbar.prototype._getBtnCallback = function (button, manager) {
        switch (button.dataset.mode) {
            case DrawingMode.drawPoint:
            case DrawingMode.drawLine:
            case DrawingMode.drawPolygon:
            case DrawingMode.drawCircle:
            case DrawingMode.drawRectangle:
            case DrawingMode.editGeometry:
                return function () {
                    var mode = manager.getOptions().mode;
                    if (button.dataset.mode === mode) {
                        // Change to idle mode if the button was already active.
                        manager.setOptions({ mode: DrawingMode.idle });
                    }
                    else {
                        // Change to the button's mode if the button isn't active.
                        manager.setOptions({ mode: button.dataset.mode });
                    }
                };
            default:
                throw new Error("Invalid button type specified '" + button.dataset.mode + "'.");
        }
    };
    /**
     * Constructs the control element for holding the toolbar.
     */
    DrawingToolbar.prototype._constructControl = function () {
        this.control = document.createElement("div");
        this.control.classList.add(DrawingToolbar.Css.control);
        this.control.appendChild(this.toolbar);
    };
    /**
     * Sets the effective style the toolbar should use based on the specified style and possibly the map's style.
     */
    DrawingToolbar.prototype._setStyle = function (options) {
        // Remove all possible styles to reset.
        for (var _i = 0, _a = Object.keys(DrawingToolbar.Css.styles); _i < _a.length; _i++) {
            var style = _a[_i];
            this.toolbar.classList.remove(DrawingToolbar.Css.styles[style]);
        }
        if (options.style === "auto") {
            // TODO Choose the style based on map state
            this.toolbar.classList.add(DrawingToolbar.Css.styles.light);
        }
        else if (DrawingToolbar.Css.styles.hasOwnProperty(options.style)) {
            this.toolbar.classList.add(DrawingToolbar.Css.styles[options.style]);
        }
        else {
            throw new Error("An invalid style '" + options.style + "' was specified for the toolbar.");
        }
    };
    // CSS classes used by the toolbar's elements.
    DrawingToolbar.Css = {
        active: "active",
        button: "azure-maps-drawtoolbar-button",
        container: "azure-maps-drawtoolbar-container",
        control: "azure-maps-control-container",
        hide: "hidden-accessible-element",
        styles: {
            dark: "dark",
            light: "light",
        },
        toolbar: "azure-maps-drawtoolbar"
    };
    return DrawingToolbar;
}());

/* TODO Expose once implementation is done.
export { PropertyEditorDialog } from "./PropertyEditorDialog";
*/

var baseControl = /*#__PURE__*/Object.freeze({
    __proto__: null,
    DrawingToolbar: DrawingToolbar
});

/** Used to compose bitmasks for cloning. */
var CLONE_DEEP_FLAG$2 = 1,
    CLONE_SYMBOLS_FLAG$2 = 4;

/**
 * This method is like `_.cloneWith` except that it recursively clones `value`.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to recursively clone.
 * @param {Function} [customizer] The function to customize cloning.
 * @returns {*} Returns the deep cloned value.
 * @see _.cloneWith
 * @example
 *
 * function customizer(value) {
 *   if (_.isElement(value)) {
 *     return value.cloneNode(true);
 *   }
 * }
 *
 * var el = _.cloneDeepWith(document.body, customizer);
 *
 * console.log(el === document.body);
 * // => false
 * console.log(el.nodeName);
 * // => 'BODY'
 * console.log(el.childNodes.length);
 * // => 20
 */
function cloneDeepWith(value, customizer) {
  customizer = typeof customizer == 'function' ? customizer : undefined;
  return _baseClone(value, CLONE_DEEP_FLAG$2 | CLONE_SYMBOLS_FLAG$2, customizer);
}

var cloneDeepWith_1 = cloneDeepWith;

/**
 * A collection of the layers used by the drawing manager for rendering shapes.
 */
var DrawingLayers = /** @class */ (function () {
    function DrawingLayers() {
    }
    return DrawingLayers;
}());

/**
 * Options for the property editor dialog.
 */
var PropertyEditorDialogOptions = /** @class */ (function (_super) {
    __extends(PropertyEditorDialogOptions, _super);
    function PropertyEditorDialogOptions() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        /**
         * TODO: COMMENT
         * Specifies where the property editor should be rendered.
         * Valid options are a `atlas.Map` instance, the string ID of a div, or an HTMLElement already on the DOM.
         */
        _this.container = undefined;
        /**
         * TODO: COMMENT
         * The background color that is displayed behind the dialog window over top of the map.
         * Default `"rgba(0, 0, 0, 0.3)"`.
         * @default "rgba(0, 0, 0, 0.3)"
         */
        _this.backgroundColor = "rgba(0, 0, 0, 0.3)";
        /**
         * TODO: COMMENT
         * auto, light, dark
         */
        _this.style = "light";
        return _this;
    }
    return PropertyEditorDialogOptions;
}(Options));

/**
 * The property editor dialog control is a type of control that
 * displays all the property key/value information a shape has.
 * Each property should have a type option as well as a delete button.
 */
var PropertyEditorDialog = /** @class */ (function () {
    function PropertyEditorDialog(options) {
        this.options = new PropertyEditorDialogOptions().merge(Object.assign({}, options));
        this._constructDialog(this.options);
    }
    /**
     * TODO: COMMENT
     * Closes the property window, does not save any changes.
     */
    PropertyEditorDialog.prototype.close = function () {
        // TODO
    };
    /**
     * TODO: COMMENT
     * Opens the property editor for the specified shape.
     */
    PropertyEditorDialog.prototype.edit = function (shape) {
        // TODO
        // Update the property table.
        if (this.shape !== shape) {
            // Reset the table.
            this._clearProps();
            // Track the shape actively being edited.
            this.shape = shape;
            this.tempProps = shape.getProperties();
            // Populate the table with the shape's properties.
            for (var _i = 0, _a = Object.keys(this.tempProps); _i < _a.length; _i++) {
                var prop = _a[_i];
                if (!prop.startsWith("_azureMaps")) {
                    this._addProp(prop, this.tempProps[prop]);
                }
            }
        }
        // Show the UI.
        if (!this.container.parentElement) {
            if (typeof this.options.container === "string") {
                var parent_1 = document.getElementById(this.options.container);
                if (!parent_1) {
                    throw new Error("There is no element with ID '" + this.options.container + " to add the editor to.");
                }
                parent_1.appendChild(this.container);
            }
            else if (this.options.container instanceof azmaps.Map) ;
        }
    };
    /**
     * TODO: COMMENT
     * Gets the options used by the control.
     */
    PropertyEditorDialog.prototype.getOptions = function () {
        return Object.assign({}, this.options);
    };
    /**
     * TODO: COMMENT
     * Saves the changes to the shape and closes the property editor window.
     */
    PropertyEditorDialog.prototype.save = function () {
        // TODO
        this.close();
    };
    /**
     * TODO: COMMENT
     * Sets the style of the drawing toolbar.
     * @param options
     */
    PropertyEditorDialog.prototype.setOptions = function (options) {
        var newOptions = new PropertyEditorDialogOptions().merge(this.options, Object.assign({}, options));
        this.options = newOptions;
    };
    /**
     * Constructs the dialog.
     */
    PropertyEditorDialog.prototype._constructDialog = function (options) {
        var _this = this;
        // The background container that fills the div.
        this.container = document.createElement("div");
        this.container.classList.add(PropertyEditorDialog.Css.container);
        this.container.style.backgroundColor = options.backgroundColor;
        // The actual dialog window.
        this.dialog = document.createElement("div");
        this.dialog.classList.add(PropertyEditorDialog.Css.dialog);
        this._updateStyle(options);
        this.container.appendChild(this.dialog);
        // The labels for property table.
        var propLabel = document.createElement("label");
        propLabel.classList.add(PropertyEditorDialog.Css.labels.base, PropertyEditorDialog.Css.labels.property);
        propLabel.innerHTML = "Property";
        this.dialog.appendChild(propLabel);
        var typeLabel = document.createElement("label");
        typeLabel.classList.add(PropertyEditorDialog.Css.labels.base, PropertyEditorDialog.Css.labels.type);
        typeLabel.innerHTML = "Type";
        this.dialog.appendChild(typeLabel);
        var valueLabel = document.createElement("label");
        valueLabel.classList.add(PropertyEditorDialog.Css.labels.base, PropertyEditorDialog.Css.labels.value);
        valueLabel.innerHTML = "Value";
        this.dialog.appendChild(valueLabel);
        var labelBar = document.createElement("hr");
        labelBar.classList.add(PropertyEditorDialog.Css.labels.base, PropertyEditorDialog.Css.labels.bar);
        this.dialog.appendChild(labelBar);
        // The property list.
        this.propsList = document.createElement("ul");
        this.propsList.classList.add(PropertyEditorDialog.Css.table.base, PropertyEditorDialog.Css.table.list);
        this.dialog.appendChild(this.propsList);
        // Button for adding a new property.
        var addPropButton = document.createElement("button");
        addPropButton.classList.add(PropertyEditorDialog.Css.buttons.base, PropertyEditorDialog.Css.buttons.add);
        addPropButton.addEventListener("click", function () { return _this._addProp(); });
        this.dialog.appendChild(addPropButton);
        var addPropDiv = document.createElement("div");
        addPropButton.appendChild(addPropDiv);
        this.addPropLbl = document.createElement("label");
        addPropButton.appendChild(this.addPropLbl);
        // Buttons for cancel and save.
        this.cancelBtn = document.createElement("button");
        this.cancelBtn.classList.add(PropertyEditorDialog.Css.buttons.base, PropertyEditorDialog.Css.buttons.cancel);
        this.cancelBtn.addEventListener("click", function () { return _this.close(); });
        this.dialog.appendChild(this.cancelBtn);
        this.saveBtn = document.createElement("button");
        this.saveBtn.classList.add(PropertyEditorDialog.Css.buttons.base, PropertyEditorDialog.Css.buttons.save);
        this.saveBtn.addEventListener("click", function () { return _this.save(); });
        this.dialog.appendChild(this.saveBtn);
        // Set localized text
        this._setLocalizedText();
    };
    PropertyEditorDialog.prototype._addProp = function (name, value) {
        var _this = this;
        // Contain the row in a div.
        var propRow = document.createElement("div");
        propRow.classList.add(PropertyEditorDialog.Css.table.base, PropertyEditorDialog.Css.table.row);
        this.propsList.appendChild(propRow);
        // Property name.
        var propName = document.createElement("input");
        propName.classList.add(PropertyEditorDialog.Css.table.base, PropertyEditorDialog.Css.table.name);
        propName.type = "text";
        propName.value = name ? name : "";
        propRow.appendChild(propName);
        // Property type.
        var propType = document.createElement("select");
        propType.classList.add(PropertyEditorDialog.Css.table.base, PropertyEditorDialog.Css.table.type);
        propRow.appendChild(propType);
        for (var _i = 0, _a = PropertyEditorDialog.Types; _i < _a.length; _i++) {
            var typeName = _a[_i];
            var option = document.createElement("option");
            option.value = typeName;
            option.innerText = typeName;
            propType.add(option);
            if (value && typeof value === typeName) {
                option.selected = true;
            }
            else if (!value && typeName === "string") {
                option.selected = true;
            }
        }
        // Property value.
        var propValue = document.createElement("div");
        propValue.classList.add(PropertyEditorDialog.Css.table.base, PropertyEditorDialog.Css.table.value);
        propValue.addEventListener("keydown", function (event) { return _this._constrainSize(propType, propValue, event); });
        propValue.innerText = value ? JSON.stringify(value, null, 2) : "";
        propValue.contentEditable = "true";
        propRow.appendChild(propValue);
        // Delete button.
        var deleteButton = document.createElement("button");
        deleteButton.classList.add(PropertyEditorDialog.Css.table.base, PropertyEditorDialog.Css.table.delete);
        deleteButton.addEventListener("click", function () { return _this.propsList.removeChild(propRow); });
        propRow.appendChild(deleteButton);
    };
    /**
     * Clears all properties from the table.
     */
    PropertyEditorDialog.prototype._clearProps = function () {
        // Clear temp list of properties.
        delete this.tempProps;
        // Remove all rows from the property.
        while (this.propsList.firstChild) {
            this.propsList.removeChild(this.propsList.firstChild);
        }
    };
    /**
     * Callback for selecting a properties type.
     */
    PropertyEditorDialog.prototype._constrainSize = function (typeSelect, valueText, event) {
        if (typeSelect.value !== "object" && event.keyCode === 13) {
            event.preventDefault();
        }
    };
    /**
     * Sets the effective style the toolbar should use based on the specified style and possibly the map's style.
     */
    PropertyEditorDialog.prototype._updateStyle = function (options) {
        // Remove all possible styles to reset.
        for (var _i = 0, _a = Object.keys(PropertyEditorDialog.Css.styles); _i < _a.length; _i++) {
            var style = _a[_i];
            this.dialog.classList.remove(PropertyEditorDialog.Css.styles[style]);
        }
        if (options.style === "auto") {
            // TODO Choose the style based on map state
            this.dialog.classList.add(PropertyEditorDialog.Css.styles.light);
        }
        else if (PropertyEditorDialog.Css.styles.hasOwnProperty(options.style)) {
            this.dialog.classList.add(PropertyEditorDialog.Css.styles[options.style]);
        }
        else {
            throw new Error("An invalid style '" + options.style + "' was specified for the editor.");
        }
    };
    /**
     * Updates UI elements to use localized text for the current map language.
     */
    PropertyEditorDialog.prototype._setLocalizedText = function () {
        // TODO Actually use localized strings
        this.saveBtn.innerText = "Save";
        this.cancelBtn.innerText = "Cancel";
        this.addPropLbl.innerText = "Add property";
    };
    PropertyEditorDialog._countLines = function (text) {
        var matches = text.match(this.LineCountRegEx);
        return matches ? matches.length + 1 : 1;
    };
    // CSS classes used by the dialog's elements.
    PropertyEditorDialog.Css = {
        buttons: {
            add: "add",
            base: "azure-maps-propedit-button",
            cancel: "cancel",
            save: "save"
        },
        container: "azure-maps-propedit-container",
        dialog: "azure-maps-propedit-dialog",
        hide: "hidden-accessible-element",
        labels: {
            bar: "bar",
            base: "azure-maps-propedit-label",
            property: "prop",
            type: "type",
            value: "value"
        },
        styles: {
            dark: "dark",
            light: "light",
        },
        table: {
            base: "azure-maps-propedit-table",
            delete: "delete",
            list: "list",
            name: "name",
            row: "row",
            type: "type",
            value: "value"
        }
    };
    // Property types the dialog supports.
    PropertyEditorDialog.Types = ["boolean", "number", "object", "string"];
    // Regex for line counting.
    PropertyEditorDialog.LineCountRegEx = new RegExp("\r*\n", "g");
    // Context for measuring string length.
    PropertyEditorDialog.Render = document.createElement("canvas").getContext("2d");
    return PropertyEditorDialog;
}());

/**
 * An enumeration of the available drawing interaction types.
 * The drawing interaction type specifies how certain drawing modes behave.
 */
var DrawingInteractionType;
(function (DrawingInteractionType) {
    /**
     * Coordinates are added when the mouse or touch is clicked or dragged.
     * Literal value `"hybrid"`
     */
    DrawingInteractionType["hybrid"] = "hybrid";
    /**
     * Coordinates are added when the mouse or touch is dragged on the map.
     * Literal value `"freehand"`
     */
    DrawingInteractionType["freehand"] = "freehand";
    /**
     * Coordinates are added when the mouse or touch is clicked.
     * Literal value `"click"`
     */
    DrawingInteractionType["click"] = "click";
})(DrawingInteractionType || (DrawingInteractionType = {}));

/**
 * Options for the drawing manager.
 */
var DrawingManagerOptions = /** @class */ (function (_super) {
    __extends(DrawingManagerOptions, _super);
    function DrawingManagerOptions() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        /**
         * The style options for the primary drag handles
         * @default: { anchor: "center", draggable: true, htmlContent: "<svg width='12' height='12' viewBox='0 0 12 12' fill='none' xmlns='http://www.w3.org/2000/svg'> <circle cx = '6' cy = '6' r = '5.5' fill='#FFFFFF' stroke='#4E4C4C'/> </svg>"}
         */
        _this.dragHandleStyle = { anchor: "center", draggable: true, htmlContent: "<svg width='12' height='12' viewBox='0 0 12 12' fill='none' xmlns='http://www.w3.org/2000/svg'> <circle cx = '6' cy = '6' r = '5.5' fill='#FFFFFF' stroke='#4E4C4C'/> </svg>" };
        /**
         * Specifies the number of pixels the mouse or touch must move before another
         * coordinate is added to a shape when in `"freehand"` or `"hybrid"` drawing modes.
         * Default is `3`.
         * @default 3
         */
        _this.freehandInterval = 3;
        /**
         * The type of drawing interaction the manager should adhere to.
         * Default is `"hybrid"`.
         * @default "hybrid"
         */
        _this.interactionType = DrawingInteractionType.hybrid;
        /**
         * The drawing mode the manager is in.
         * Default is `"idle"`.
         * @default "idle"
         */
        _this.mode = DrawingMode.idle;
        // /**
        //  * TODO: COMMENTS
        //  * A property editor dialog control that can be displayed to allow the user to edit the properties of a shape.
        //  */
        // public propertyEditor?: PropertyEditorDialog = undefined;
        /**
         * The style options for the secondary drag handles.
         * These provide handles at mid-points for creating new coordinates between existing coordinates.
         * @default: { anchor: "center", draggable: true, htmlContent: "<svg width='12' height='12' viewBox='0 0 12 12' fill='none' xmlns='http://www.w3.org/2000/svg'> <circle cx = '6' cy = '6' r = '5.5' fill='#A6A6A6' stroke='#4E4C4C'/> </svg>"}
         */
        _this.secondaryDragHandleStyle = { anchor: "center", draggable: true, htmlContent: "<svg width='12' height='12' viewBox='0 0 12 12' fill='none' xmlns='http://www.w3.org/2000/svg'> <circle cx = '6' cy = '6' r = '5.5' fill='#A6A6A6' stroke='#4E4C4C'/> </svg>" };
        /**
         * Specifies if shapes can be dragged when in edit or select mode.
         * @default: true
         */
        _this.shapeDraggingEnabled = true;
        // /**
        //  * TODO: COMMENTS
        //  * Specifies if shapes can be rotated when in edit mode.
        //  * @default: true
        //  */
        // public shapeRotationEnabled?: boolean = true;
        // /**
        //  * TODO: COMMENTS
        //  * Specifies if a visual representation of the snapping grid should be displayed.
        //  * @default: false
        //  */
        // public showSnapGrid?: boolean = false;
        /**
         * A data source to add newly created shapes to.
         * If not specified when the drawing manager is constructed one will be created automatically.
         * If the data source is changed the drawing manager will be switched to `"idle"` mode.
         */
        _this.source = undefined;
        /**
         * A drawing toolbar to display as a control for the drawing manager.
         */
        _this.toolbar = undefined;
        return _this;
    }
    /**
     * Customizer for _.cloneDeep calls, allows Source, toolbar, propertyEditorDialog, DragHandleStyle
     * objects to pass through without cloning.
     * Source objects are designed to be modifiable so a reference to the actual Source is fine for users to have.
     * @param value The value being cloned.
     * @internal
     */
    DrawingManagerOptions._cloneCustomizer = function (value) {
        if (value instanceof DrawingToolbar ||
            value instanceof azmaps.source.DataSource ||
            value instanceof PropertyEditorDialog) {
            return value;
        }
    };
    return DrawingManagerOptions;
}(Options));

var DrawingHelper = /** @class */ (function () {
    function DrawingHelper(map, manager) {
        var _this = this;
        this.options = {};
        this.strokeColor = "#2266E3";
        this.parentIdProp = "parent_id";
        this.outlineProp = "outline";
        this.addCoord = function (e, fKeyPressed) {
            if (_this.options.mode === DrawingMode.drawPoint) {
                _this.finalShape = new azmaps.Shape(new azmaps.data.Point([]));
                _this.activeShape = new azmaps.Shape(new azmaps.data.Point(e.position));
                _this.activeShape.addProperty(_this.parentIdProp, _this.finalShape.getId());
                _this.drawMgr._invokeEvent("drawingstarted", null);
                _this.finish();
            }
            if (_this.options.mode === DrawingMode.drawLine || _this.options.mode === DrawingMode.drawPolygon) {
                if ((e.type === "click" || fKeyPressed) &&
                    (_this.options.interactionType === DrawingInteractionType.click ||
                        _this.options.interactionType === DrawingInteractionType.hybrid)) {
                    if (!_this.activeShape) {
                        _this.activeShape = new azmaps.Shape(new azmaps.data.LineString([]));
                        if (_this.options.mode === DrawingMode.drawPolygon) {
                            _this.finalShape = new azmaps.Shape(new azmaps.data.Polygon([]));
                            _this.activeShape.addProperty(_this.outlineProp, true);
                        }
                        else {
                            _this.finalShape = new azmaps.Shape(new azmaps.data.LineString([]));
                        }
                        _this.activeShape.addProperty(_this.parentIdProp, _this.finalShape.getId());
                        _this.options.source.add(_this.activeShape);
                    }
                    if (!_this.previewShape) {
                        _this.updateActiveShape(e);
                    }
                    if (_this.previewShape) {
                        _this.activeShapeCoordinates.push(e.position);
                        _this.activeShape.setCoordinates(_this.activeShapeCoordinates);
                        _this.drawMgr._invokeEvent("drawingchanged", _this.activeShape);
                        _this.previewSource.remove(_this.previewShape);
                        _this.previewShape = null;
                        _this.previewShapeCoordinates = [];
                    }
                }
                else if (_this.isMouseDown && (e.type === "mousemove" || e.type === "touchmove") &&
                    (_this.options.interactionType === DrawingInteractionType.freehand ||
                        _this.options.interactionType === DrawingInteractionType.hybrid)) {
                    if (_this.previewShape) {
                        _this.previewSource.remove(_this.previewShape);
                        _this.previewShape = null;
                        _this.previewShapeCoordinates = [];
                    }
                    if (!_this.activeShape) {
                        _this.activeShape = new azmaps.Shape(new azmaps.data.LineString([]));
                        if (_this.options.mode === DrawingMode.drawPolygon) {
                            _this.finalShape = new azmaps.Shape(new azmaps.data.Polygon([]));
                            _this.activeShape.addProperty(_this.outlineProp, true);
                        }
                        else {
                            _this.finalShape = new azmaps.Shape(new azmaps.data.LineString([]));
                        }
                        _this.activeShape.addProperty(_this.parentIdProp, _this.finalShape.getId());
                        _this.options.source.add(_this.activeShape);
                    }
                    var pixel = _this.map.positionsToPixels(_this.activeShapeCoordinates)[0];
                    if (_this.activeShapeCoordinates.length === 0 ||
                        (_this.pixelDifference(pixel, e.pixel) > _this.options.freehandInterval)) {
                        _this.updateActiveShape(e);
                    }
                }
            }
            if (_this.options.mode === DrawingMode.drawRectangle) {
                if (_this.isMouseDown && (e.type === "mousemove" || e.type === "touchmove")) {
                    if (!_this.activeShape) {
                        _this.finalShape = new azmaps.Shape(new azmaps.data.Polygon([]));
                        _this.activeShape = new azmaps.Shape(new azmaps.data.Polygon([]));
                        _this.activeShape.addProperty(_this.parentIdProp, _this.finalShape.getId());
                        _this.activeShape.addProperty("subType", "Rectangle");
                        _this.options.source.add(_this.activeShape);
                        _this.firstRectangleCorner = e.position;
                        _this.drawMgr._invokeEvent("drawingstarted", null);
                    }
                    else {
                        _this.activeShapeCoordinates = [
                            _this.firstRectangleCorner,
                            [e.position[0], _this.firstRectangleCorner[1]],
                            e.position,
                            [_this.firstRectangleCorner[0], e.position[1]],
                            _this.firstRectangleCorner
                        ];
                        _this.activeShape.setCoordinates(_this.activeShapeCoordinates);
                        _this.drawMgr._invokeEvent("drawingchanging", _this.activeShape);
                    }
                }
            }
            if (_this.options.mode === DrawingMode.drawCircle) {
                if (_this.isMouseDown && (e.type === "mousemove" || e.type === "touchmove")) {
                    if (!_this.activeShape) {
                        _this.finalShape = new azmaps.Shape(new azmaps.data.Point([]));
                        _this.activeShape = new azmaps.Shape(new azmaps.data.Point(e.position));
                        _this.activeShape.addProperty(_this.parentIdProp, _this.finalShape.getId());
                        _this.activeShape.addProperty("subType", "Circle");
                        _this.activeShape.addProperty("radius", 1);
                        _this.options.source.add(_this.activeShape);
                        _this.circleCenterPosition = e.position;
                        _this.drawMgr._invokeEvent("drawingstarted", null);
                    }
                    else {
                        _this.activeShape.addProperty("radius", azmaps.math.getDistanceTo(_this.circleCenterPosition, e.position));
                        _this.drawMgr._invokeEvent("drawingchanging", _this.activeShape);
                    }
                }
            }
        };
        this.previewCoord = function (e) {
            if (!_this.isMouseDown && _this.activeShape &&
                (_this.options.mode === DrawingMode.drawLine ||
                    _this.options.mode === DrawingMode.drawPolygon) &&
                (_this.options.interactionType === DrawingInteractionType.click ||
                    _this.options.interactionType === DrawingInteractionType.hybrid)) {
                if (!_this.previewShape) {
                    _this.previewShapeCoordinates = [
                        _this.activeShapeCoordinates[_this.activeShapeCoordinates.length - 1]
                    ];
                    _this.previewShape = new azmaps.Shape(new azmaps.data.LineString(_this.previewShapeCoordinates));
                    _this.previewSource.add(_this.previewShape);
                }
                _this.previewShapeCoordinates[1] = e.position;
                _this.previewShape.setCoordinates(_this.previewShapeCoordinates);
                var fullPreviewCoordinates = __spreadArrays(_this.activeShapeCoordinates, [e.position]);
                var fullPreviewShape = new azmaps.Shape(new azmaps.data.LineString(fullPreviewCoordinates));
                fullPreviewShape.addProperty(_this.parentIdProp, _this.finalShape.getId());
                _this.drawMgr._invokeEvent("drawingchanging", fullPreviewShape);
            }
        };
        this.finish = function (e) {
            if (e) {
                e.preventDefault();
            }
            var isDrawingComplete = false;
            if (_this.activeShape) {
                // If drawing circle or rectangles the drawingchanged and
                // drawingcomplete events occur at the same time.
                if (_this.options.mode === DrawingMode.drawCircle ||
                    _this.options.mode === DrawingMode.drawRectangle) {
                    _this.drawMgr._invokeEvent("drawingchanged", _this.activeShape);
                }
                if (_this.options.mode === DrawingMode.drawPolygon) {
                    if (_this.activeShapeCoordinates.length > 0) {
                        _this.activeShapeCoordinates.push(_this.activeShapeCoordinates[0]);
                        _this.finalShape.setCoordinates(_this.activeShapeCoordinates);
                    }
                }
                else {
                    _this.finalShape.setCoordinates(_this.activeShape.getCoordinates());
                }
                // Copy the active shape's properties except the outline and parent_id.
                var props = _this.activeShape.getProperties();
                delete props[_this.parentIdProp];
                delete props[_this.outlineProp];
                // Replace the active shape with the final shape.
                // TODO: remove this once the typings are fixed
                if (_this.options.source.getShapeById(_this.activeShape.getId())) {
                    _this.options.source.remove(_this.activeShape);
                }
                _this.finalShape.setProperties(props);
                _this.options.source.add(_this.finalShape);
                _this.activeShape = null;
                isDrawingComplete = true;
            }
            _this.activeShapeCoordinates = [];
            if (_this.previewShape) {
                _this.previewSource.remove(_this.previewShape);
            }
            _this.previewShapeCoordinates = [];
            _this.previewShape = null;
            _this.isMouseDown = false;
            if (isDrawingComplete) {
                isDrawingComplete = false;
                _this.drawMgr._invokeEvent("drawingcomplete", _this.finalShape);
            }
        };
        this.cancel = function () {
            if (_this.activeShape) {
                _this.options.source.remove(_this.activeShape);
                _this.activeShapeCoordinates = [];
                _this.activeShape = null;
                if (_this.previewShape) {
                    _this.previewSource.remove(_this.previewShape);
                    _this.previewShapeCoordinates = [];
                    _this.previewShape = null;
                }
                _this.isMouseDown = false;
            }
        };
        this.setMouseDown = function () {
            _this.isMouseDown = true;
        };
        this.setMouseUp = function () {
            _this.isMouseDown = false;
            if (_this.options.interactionType === DrawingInteractionType.freehand) {
                _this.finish();
            }
        };
        this.drawMgr = manager;
        this.map = map;
        this.previewLayers = new DrawingLayers();
        this.previewSource = new azmaps.source.DataSource();
        this.map.sources.add(this.previewSource);
        this.previewLayers.pointLayer = new azmaps.layer.SymbolLayer(this.previewSource, null, {
            filter: ["==", ["geometry-type"], "Point"]
        });
        this.previewLayers.lineLayer = new azmaps.layer.LineLayer(this.previewSource, null, {
            filter: ["all", ["==", ["geometry-type"], "LineString"], ["!", ["has", this.outlineProp]]],
            strokeColor: this.strokeColor
        });
        this.previewLayers.polygonLayer = new azmaps.layer.PolygonLayer(this.previewSource, null, {
            filter: ["==", ["geometry-type"], "Polygon"],
            strokeColor: this.strokeColor
        });
        this.previewLayers.polygonOutlineLayer = new azmaps.layer.LineLayer(this.previewSource, null, {
            filter: ["all", ["==", ["geometry-type"], "LineString"], ["has", this.outlineProp]],
            strokeColor: this.strokeColor
        });
        this.map.layers.add([
            this.previewLayers.polygonLayer,
            this.previewLayers.polygonOutlineLayer,
            this.previewLayers.lineLayer,
            this.previewLayers.pointLayer
        ]);
        this.activeShapeCoordinates = [];
        this.previewShapeCoordinates = [];
    }
    DrawingHelper.prototype.setOptions = function (options) {
        if (this.options.mode !== options.mode) {
            this.finish();
        }
        this.options = options;
    };
    DrawingHelper.prototype.pixelDifference = function (pixelA, pixelB) {
        var dx = pixelA[0] - pixelB[0];
        var dy = pixelA[1] - pixelB[1];
        return Math.sqrt((dx * dx) + (dy * dy));
    };
    DrawingHelper.prototype.updateActiveShape = function (e) {
        // avoid duplicates
        var lastCoord = this.activeShapeCoordinates[this.activeShapeCoordinates.length - 1];
        if (this.activeShapeCoordinates.length > 0) {
            if ((lastCoord[0] !== e.position[0]) ||
                (lastCoord[1] !== e.position[1])) {
                this.activeShapeCoordinates.push(e.position);
                this.activeShape.setCoordinates(this.activeShapeCoordinates);
                this.drawMgr._invokeEvent("drawingchanged", this.activeShape);
            }
        }
        else {
            this.activeShapeCoordinates.push(e.position);
            this.activeShape.setCoordinates(this.activeShapeCoordinates);
            this.drawMgr._invokeEvent("drawingstarted", null);
        }
    };
    return DrawingHelper;
}());

/**
 * Drag Handle Types
 */
var HandleType;
(function (HandleType) {
    HandleType["primary"] = "primary";
    HandleType["secondary"] = "secondary";
    HandleType["rotational"] = "rotational";
})(HandleType || (HandleType = {}));

var DragHandle = /** @class */ (function (_super) {
    __extends(DragHandle, _super);
    function DragHandle(style, map, editHelper, handleType, index, drawingManagerOptions) {
        var _this = _super.call(this, style) || this;
        _this.promoteHandle = function (e) {
            if (_this.getHandleType() === HandleType.secondary) {
                _this.editHelper.promoteHandle(_this, _this.index, e);
            }
        };
        _this.moveHandle = function () {
            _this.editHelper.moveHandle(_this, _this.index);
        };
        _this.showHandles = function () {
            if (_this.getHandleType() === HandleType.primary) {
                _this.editHelper.showHandles(_this, _this.index);
            }
        };
        _this.primaryHtmlContent = drawingManagerOptions.dragHandleStyle.htmlContent;
        _this.secondaryHtmlContent = drawingManagerOptions.secondaryDragHandleStyle.htmlContent;
        _this.mp = map;
        _this.editHelper = editHelper;
        _this.handleType = handleType;
        _this.index = index;
        _this.mp.events.add("dragend", _this, _this.promoteHandle);
        _this.mp.events.add("dragend", _this, _this.showHandles);
        _this.mp.events.add("drag", _this, _this.moveHandle);
        return _this;
    }
    /**
     * Set draghandle style
     */
    DragHandle.prototype.setStyle = function (style) {
        this.style = style;
        this.setOptions(this.style);
    };
    DragHandle.prototype.setState = function (handleType) {
        this.handleType = handleType;
        if (this.handleType === HandleType.primary) {
            this.setOptions({ htmlContent: this.primaryHtmlContent });
        }
        else if (this.handleType === HandleType.secondary) {
            this.setOptions({ htmlContent: this.secondaryHtmlContent });
        }
    };
    DragHandle.prototype.setIndex = function (index) {
        this.index = index;
    };
    DragHandle.prototype.setPosition = function (pos) {
        this.setOptions({
            position: pos
        });
    };
    DragHandle.prototype.getPosition = function () {
        return this.getOptions().position;
    };
    DragHandle.prototype.getHandleType = function () {
        return this.handleType;
    };
    DragHandle.prototype.getIndex = function () {
        return this.index;
    };
    return DragHandle;
}(azmaps.HtmlMarker));

var MapInputHelper = /** @class */ (function () {
    function MapInputHelper(map, options, layers, drawingHelper, editHelper) {
        var _this = this;
        this.options = {};
        this.trackMousePosition = function (e) {
            _this.mouseEvent = e;
        };
        this.fKeyPressed = function (e) {
            if (e.keyCode === 70 || e.keyCode === 102) {
                _this.drawingHelper.addCoord(_this.mouseEvent, true);
            }
        };
        this.cKeyPressed = function (e) {
            if (e.keyCode === 67 || e.keyCode === 99) {
                _this.drawingHelper.finish();
                return;
            }
        };
        this.escKeyPressed = function (e) {
            if (e.keyCode === 27) {
                _this.drawingHelper.cancel();
                _this.editHelper.finish();
                return;
            }
        };
        this.map = map;
        this.layers = layers;
        this.editHelper = editHelper;
        this.drawingHelper = drawingHelper;
        this.setOptions(this.options);
    }
    MapInputHelper.prototype.setOptions = function (options) {
        // check if the interested options are changed
        if (this.options.mode === options.mode &&
            this.options.freehandInterval === options.freehandInterval &&
            this.options.interactionType === options.interactionType) {
            return;
        }
        this.options = options;
        switch (this.options.mode) {
            case DrawingMode.drawPoint:
                this._clear();
                this.map.events.add("click", this.drawingHelper.addCoord);
                this.map.events.add("touchstart", this.drawingHelper.addCoord);
                // keyboard control
                this.map.events.add("mousemove", this.trackMousePosition);
                this.map.getMapContainer().addEventListener("keypress", this.fKeyPressed);
                this.map.getMapContainer().addEventListener("keypress", this.cKeyPressed);
                this.map.getMapContainer().addEventListener("keydown", this.escKeyPressed);
                break;
            case DrawingMode.drawLine:
                this._clear();
                MapInputHelper.lockMap(this.map);
                if (this.options.interactionType === DrawingInteractionType.click ||
                    this.options.interactionType === DrawingInteractionType.hybrid) {
                    this.map.events.add("click", this.drawingHelper.addCoord);
                    this.map.events.add("mousemove", this.drawingHelper.previewCoord);
                }
                if (this.options.interactionType === DrawingInteractionType.freehand ||
                    this.options.interactionType === DrawingInteractionType.hybrid) {
                    this.map.events.add("mousedown", this.drawingHelper.setMouseDown);
                    this.map.events.add("mousemove", this.drawingHelper.addCoord);
                    this.map.events.add("mouseup", this.drawingHelper.setMouseUp);
                    this.map.events.add("touchstart", this.drawingHelper.setMouseDown);
                    this.map.events.add("touchmove", this.drawingHelper.addCoord);
                    this.map.events.add("touchend", this.drawingHelper.finish);
                }
                this.map.events.add("dblclick", this.drawingHelper.finish);
                // keyboard control
                this.map.events.add("mousemove", this.trackMousePosition);
                this.map.getMapContainer().addEventListener("keypress", this.fKeyPressed);
                this.map.getMapContainer().addEventListener("keypress", this.cKeyPressed);
                this.map.getMapContainer().addEventListener("keydown", this.escKeyPressed);
                break;
            case DrawingMode.drawPolygon:
                this._clear();
                MapInputHelper.lockMap(this.map);
                if (this.options.interactionType === DrawingInteractionType.click ||
                    this.options.interactionType === DrawingInteractionType.hybrid) {
                    this.map.events.add("click", this.drawingHelper.addCoord);
                    this.map.events.add("mousemove", this.drawingHelper.previewCoord);
                }
                if (this.options.interactionType === DrawingInteractionType.freehand ||
                    this.options.interactionType === DrawingInteractionType.hybrid) {
                    this.map.events.add("mousedown", this.drawingHelper.setMouseDown);
                    this.map.events.add("mousemove", this.drawingHelper.addCoord);
                    this.map.events.add("mouseup", this.drawingHelper.setMouseUp);
                    this.map.events.add("touchstart", this.drawingHelper.setMouseDown);
                    this.map.events.add("touchmove", this.drawingHelper.addCoord);
                    this.map.events.add("touchend", this.drawingHelper.finish);
                }
                this.map.events.add("dblclick", this.drawingHelper.finish);
                // keyboard control
                this.map.events.add("mousemove", this.trackMousePosition);
                this.map.getMapContainer().addEventListener("keypress", this.fKeyPressed);
                this.map.getMapContainer().addEventListener("keypress", this.cKeyPressed);
                this.map.getMapContainer().addEventListener("keydown", this.escKeyPressed);
                break;
            case DrawingMode.drawCircle:
                this._clear();
                MapInputHelper.lockMap(this.map);
                this.map.events.add("mousedown", this.drawingHelper.setMouseDown);
                this.map.events.add("mousemove", this.drawingHelper.addCoord);
                this.map.events.add("mouseup", this.drawingHelper.finish);
                this.map.events.add("touchstart", this.drawingHelper.setMouseDown);
                this.map.events.add("touchmove", this.drawingHelper.addCoord);
                this.map.events.add("touchend", this.drawingHelper.finish);
                // keyboard control
                this.map.events.add("mousemove", this.trackMousePosition);
                this.map.getMapContainer().addEventListener("keypress", this.fKeyPressed);
                this.map.getMapContainer().addEventListener("keypress", this.cKeyPressed);
                this.map.getMapContainer().addEventListener("keydown", this.escKeyPressed);
                break;
            case DrawingMode.drawRectangle:
                this._clear();
                MapInputHelper.lockMap(this.map);
                this.map.events.add("mousedown", this.drawingHelper.setMouseDown);
                this.map.events.add("mousemove", this.drawingHelper.addCoord);
                this.map.events.add("mouseup", this.drawingHelper.finish);
                this.map.events.add("touchstart", this.drawingHelper.setMouseDown);
                this.map.events.add("touchmove", this.drawingHelper.addCoord);
                this.map.events.add("touchend", this.drawingHelper.finish);
                // keyboard control
                this.map.events.add("mousemove", this.trackMousePosition);
                this.map.getMapContainer().addEventListener("keypress", this.fKeyPressed);
                this.map.getMapContainer().addEventListener("keypress", this.cKeyPressed);
                this.map.getMapContainer().addEventListener("keydown", this.escKeyPressed);
                break;
            // TODO
            // case DrawingMode.editProperties:
            //     // TODO
            //     MapInputHelper.unLockMap(this.map);
            //     break;
            case DrawingMode.editGeometry:
                MapInputHelper.unLockMap(this.map);
                this.map.events.add("click", this.editHelper.selectShape);
                this.map.events.add("touchstart", this.editHelper.selectShape);
                this.map.events.add("mousedown", this.editHelper.setMouseDown);
                this.map.events.add("mouseup", this.editHelper.setMouseUp);
                this.map.events.add("touchstart", this.editHelper.setMouseDown);
                this.map.events.add("touchend", this.editHelper.setMouseUp);
                // keyboard control
                this.map.getMapContainer().addEventListener("keydown", this.escKeyPressed);
                break;
            default:
                MapInputHelper.unLockMap(this.map);
                this._clear();
                break;
        }
    };
    MapInputHelper.prototype._clear = function () {
        this.drawingHelper.finish();
        // DrawingHelper
        this.editHelper.finish();
        this.map.events.remove("click", this.drawingHelper.addCoord);
        this.map.events.remove("touchstart", this.drawingHelper.addCoord);
        this.map.events.remove("drag", this.drawingHelper.addCoord);
        this.map.events.remove("mousemove", this.drawingHelper.previewCoord);
        this.map.events.remove("mousemove", this.drawingHelper.addCoord);
        this.map.events.remove("mouseup", this.drawingHelper.finish);
        this.map.events.remove("mouseup", this.drawingHelper.addCoord);
        this.map.events.remove("mouseup", this.drawingHelper.setMouseUp);
        this.map.events.remove("mousedown", this.drawingHelper.setMouseDown);
        this.map.events.remove("dblclick", this.drawingHelper.finish);
        this.map.events.remove("mousemove", this.trackMousePosition);
        this.map.events.remove("touchstart", this.drawingHelper.setMouseDown);
        this.map.events.remove("touchmove", this.drawingHelper.addCoord);
        this.map.events.remove("touchend", this.drawingHelper.finish);
        // Edithelper
        this.map.events.remove("click", this.editHelper.selectShape);
        this.map.events.remove("touchstart", this.editHelper.selectShape);
        this.map.events.remove("mousedown", this.editHelper.setMouseDown);
        this.map.events.remove("mouseup", this.editHelper.setMouseUp);
        this.map.events.remove("touchstart", this.editHelper.setMouseDown);
        this.map.events.remove("touchend", this.editHelper.setMouseUp);
        // Keyboard
        this.map.getMapContainer().removeEventListener("keypress", this.fKeyPressed);
        this.map.getMapContainer().removeEventListener("keypress", this.cKeyPressed);
        this.map.getMapContainer().removeEventListener("keydown", this.escKeyPressed);
    };
    MapInputHelper.lockMap = function (map) {
        map.setUserInteraction({
            dblClickZoomInteraction: false,
            dragPanInteraction: false
        });
        map.getMapContainer().style.touchAction = "none";
    };
    MapInputHelper.unLockMap = function (map) {
        map.setUserInteraction({
            dblClickZoomInteraction: true,
            dragPanInteraction: true
        });
        map.getMapContainer().style.touchAction = null;
    };
    return MapInputHelper;
}());

var EditHelper = /** @class */ (function () {
    function EditHelper(map, options, layers) {
        var _this = this;
        this.pixelToDegree = 1; // the amount of pixel move translated to degrees
        this.editedPointStyle = "marker-blue";
        /**
         *  @internal
         */
        this.selectShape = function (e) {
            if (e.originalEvent.target !== _this.map.getCanvas()) {
                // only select the shape when user click on the canvas
                // to avoid conflicts of clicking with markers and the canvas
                return;
            }
            // get bounding box of near the point clicked and query the shape
            var southwestPixel = [e.pixel[0] - 10, e.pixel[1] + 10];
            var northeastPixel = [e.pixel[0] + 10, e.pixel[1] - 10];
            var southwestPosition = _this.map.pixelsToPositions([southwestPixel])[0];
            var northeastPosition = _this.map.pixelsToPositions([northeastPixel])[0];
            var bbox = new azmaps.data.BoundingBox(southwestPosition, northeastPosition);
            var shapes = _this.map.layers.getRenderedShapes(bbox, Object.values(_this.layers));
            if (shapes && shapes.length > 0) {
                var shape = shapes[0];
                if (shape) {
                    _this.edit(shape);
                }
            }
        };
        ////////////////////// Triggered by Draghandle dragged ends ///////////////////////////
        this.setMouseDown = function () {
            _this.isMouseDown = true;
        };
        this.setMouseUp = function () {
            _this.isMouseDown = false;
        };
        this._startDrag = function (e) {
            _this._freezeMap(_this.shape, e);
        };
        this._drag = function (e) {
            if (_this.shape && _this.isMouseDown) {
                // As an optimization, only update the shape if the mouse has moved atleast 5 pixels.
                // This will significantly reduce the number of recalculations and provide much better performance.
                var dx = azmaps.Pixel.getX(_this.currentReferencedPixel) - azmaps.Pixel.getX(e.pixel);
                var dy = azmaps.Pixel.getY(_this.currentReferencedPixel) - azmaps.Pixel.getY(e.pixel);
                if (dx * dx + dy * dy <= 25) {
                    return;
                }
                _this.map.markers.remove(_this.primaryHandles);
                _this.map.markers.remove(_this.secondaryHandles);
                _this.primaryHandles = [];
                _this.secondaryHandles = [];
                _this._pixelAccurateUpdate(e);
            }
        };
        /////////////////////////// Drag ends ///////////////////////////////////////////
        this._endDragAndRotate = function () {
            if (_this.shape && _this.shape.getType() === "Point" && !_this.shape.isCircle()) {
                var properties = _this.shape.getProperties();
                delete properties._azureMapsMarker;
                _this.shape.setProperties(properties);
            }
            // Set current shape to null, so that no updates will happen will mouse is up.
            _this.edit(_this.shape);
        };
        this.map = map;
        this.options = options;
        this.primaryHandles = [];
        this.secondaryHandles = [];
        this.layers = layers;
        this.defaultPointStyle = this.layers.pointLayer ? this.layers.pointLayer.getOptions().iconOptions.image : "marker-black";
    }
    EditHelper.prototype.setOptions = function (options) {
        this.finish();
        this.options = options;
    };
    EditHelper.prototype.finish = function () {
        this._clearHandlesAndListeners();
        this.shape = null;
        this.centroid = null;
        this.currentReferencedPixel = null;
        MapInputHelper.unLockMap(this.map);
    };
    EditHelper.prototype.edit = function (shape) {
        this._clearHandlesAndListeners();
        this.shape = shape;
        // populate the shape with the draghandles
        this.selectedShapeCoordiantes = this.shape.getCoordinates();
        if (this.shape.getType() === "Point" && !this.shape.isCircle()) {
            this.shape.addProperty("_azureMapsMarker", this.editedPointStyle);
        }
        else if (this.primaryHandles.length === 0) {
            // if there are no drag handles, populate the shape with them
            if (this.shape.isCircle()) {
                this._generateDragHandles(this.selectedShapeCoordiantes);
            }
            else if (this.shape.isRectangle()) {
                this._generateDragHandles(this.selectedShapeCoordiantes[0]);
            }
            else if (this.shape.getType() === "LineString") {
                this._generateDragHandles(this.selectedShapeCoordiantes);
            }
            else if (this.shape.getType() === "Polygon") {
                this._generateDragHandles(this.selectedShapeCoordiantes[0]);
            }
        }
        this._enableShapeDrag();
    };
    ////////////////////// Triggered by Draghandle events begins /////////////////////////
    /**
     * Called when drag on secondary handle ends or when clicked
     * @param selectedSecondaryDragHandle
     * @param index
     */
    EditHelper.prototype.promoteHandle = function (selectedSecondaryDragHandle, index, e) {
        // reset the flag. Secondary handle will be promoted when the drag ended
        this.isSeoncdaryHandleMoving = false;
        selectedSecondaryDragHandle.setOptions({ visible: true });
        var position = selectedSecondaryDragHandle.getPosition();
        var primaryHandlesSize = this.primaryHandles.length;
        var adjacentPrimaryDragHandleIndexA;
        var adjacentPrimaryDragHandleIndexB;
        if (this.shape.getType() === "LineString") {
            adjacentPrimaryDragHandleIndexA = index;
            adjacentPrimaryDragHandleIndexB = index + 1;
        }
        else if (this.shape.getType() === "Polygon") {
            adjacentPrimaryDragHandleIndexA = index === 0 ? primaryHandlesSize - 1 : index - 1;
            adjacentPrimaryDragHandleIndexB = index === primaryHandlesSize - 1 ? 0 : index + 1;
        }
        var adjacentPrimaryDragHandleA = this.primaryHandles[adjacentPrimaryDragHandleIndexA];
        var adjacentPrimaryDragHandleB = this.primaryHandles[adjacentPrimaryDragHandleIndexB];
        var midPointA = this._getMidPosition(position, adjacentPrimaryDragHandleA.getPosition());
        var midPointB = this._getMidPosition(position, adjacentPrimaryDragHandleB.getPosition());
        var newSecondaryDragHandleA = new DragHandle(this.options.secondaryDragHandleStyle, this.map, this, HandleType.secondary, index, this.options);
        var newSecondaryDragHandleB = new DragHandle(this.options.secondaryDragHandleStyle, this.map, this, HandleType.secondary, index + 1, this.options);
        newSecondaryDragHandleA.setPosition(midPointA);
        newSecondaryDragHandleB.setPosition(midPointB);
        // promote the handle and insert the newly created secondary handles on to the map
        selectedSecondaryDragHandle.setState(HandleType.primary);
        selectedSecondaryDragHandle.setIndex(index + 1);
        this.secondaryHandles[index] = newSecondaryDragHandleA;
        this.secondaryHandles.splice(index + 1, 0, newSecondaryDragHandleB);
        this.primaryHandles.splice(index + 1, 0, selectedSecondaryDragHandle);
        // update the rest of draghandle's index
        var i;
        for (i = index + 2; i < this.secondaryHandles.length; i++) {
            this.primaryHandles[i].setIndex(i);
            this.secondaryHandles[i].setIndex(i);
        }
        // primaryHandles always has more more element thatn secondaryHandles in LineString
        if (this.shape.getType() === "LineString") {
            this.primaryHandles[i].setIndex(i);
        }
        this.map.markers.add([newSecondaryDragHandleA, newSecondaryDragHandleB]);
    };
    /**
     * Hide the primary handle and the adjacent secondary handle when the drag begins
     * And disable shap dragging
     * @param draghandle
     * @param index
     */
    EditHelper.prototype.moveHandle = function (draghandle, index) {
        this._disableShapeDrag();
        var position = draghandle.getPosition();
        if (this.shape.isCircle()) {
            var centroid = this.selectedShapeCoordiantes;
            this.shape.setProperties({
                radius: azmaps__default.math.getDistanceTo(centroid, draghandle.getPosition()),
                subType: "Circle"
            });
            this.primaryHandles.forEach(function (handle) {
                handle.setOptions({ visible: false });
            });
        }
        else if (this.shape.isRectangle()) {
            draghandle.setOptions({ visible: false });
            // drag the handle and change the underlying shape
            var coordinates = this.selectedShapeCoordiantes[0];
            // Rectangle's first and last coordiantes should be the same
            var adjacentPrimaryDragHandleIndexA = void 0;
            var adjacentPrimaryDragHandleIndexB = void 0;
            coordinates[index] = position;
            if (index === 0) {
                adjacentPrimaryDragHandleIndexA = this.primaryHandles.length - 1;
                adjacentPrimaryDragHandleIndexB = index + 1;
            }
            else {
                adjacentPrimaryDragHandleIndexA = index - 1;
                adjacentPrimaryDragHandleIndexB = index === this.primaryHandles.length - 1 ? 0 : index + 1;
            }
            var adjacentPrimaryDragHandleA = this.primaryHandles[adjacentPrimaryDragHandleIndexA];
            var adjacentPrimaryDragHandleB = this.primaryHandles[adjacentPrimaryDragHandleIndexB];
            if (index === 0 || index === 2) {
                coordinates[adjacentPrimaryDragHandleIndexA][0] = position[0];
                coordinates[adjacentPrimaryDragHandleIndexB][1] = position[1];
            }
            else if (index === 1 || index === 3) {
                coordinates[adjacentPrimaryDragHandleIndexA][1] = position[1];
                coordinates[adjacentPrimaryDragHandleIndexB][0] = position[0];
            }
            adjacentPrimaryDragHandleA.setPosition(coordinates[adjacentPrimaryDragHandleIndexA]);
            adjacentPrimaryDragHandleB.setPosition(coordinates[adjacentPrimaryDragHandleIndexB]);
            adjacentPrimaryDragHandleA.setOptions({ visible: false });
            adjacentPrimaryDragHandleB.setOptions({ visible: false });
            // rectangle's first and last coordiantes should be the same
            coordinates[coordinates.length - 1] = coordinates[0];
            this.shape.setCoordinates([coordinates]);
        }
        else if (this.shape.getType() === "LineString") {
            draghandle.setOptions({ visible: false });
            // check primary, update positions of secondary handles
            if (draghandle.getHandleType() === HandleType.primary) {
                // drag the handle and change the underlying shape
                var coordinates = this.selectedShapeCoordiantes;
                coordinates[index] = position;
                this.shape.setCoordinates(coordinates);
                // hide adjacent secondary handles for better UI experience
                // will show them when the move ends
                if (index > 0) {
                    this.secondaryHandles[index - 1].setOptions({ visible: false });
                }
                if (index < this.primaryHandles.length - 1) {
                    this.secondaryHandles[index].setOptions({ visible: false });
                }
            }
            // check secondary
            // promote secondary handle, populate other secondary handles
            if (draghandle.getHandleType() === HandleType.secondary) {
                // drag the handle and change the underlying shape
                var coordinates = this.selectedShapeCoordiantes;
                if (!this.isSeoncdaryHandleMoving) {
                    coordinates.splice(index + 1, 0, position);
                    this.isSeoncdaryHandleMoving = true;
                }
                else {
                    coordinates[index + 1] = position;
                }
                this.shape.setCoordinates(coordinates);
            }
        }
        else if (this.shape.getType() === "Polygon") {
            draghandle.setOptions({ visible: false });
            // check primary, update positions of secondary handles
            if (draghandle.getHandleType() === HandleType.primary) {
                // drag the handle and change the underlying shape
                var coordinates = this.selectedShapeCoordiantes[0];
                coordinates[index] = position;
                if (index === 0) {
                    // hide adjacent secondary handles for better UI experience
                    // will show them when the move ends
                    this.secondaryHandles[index].setOptions({ visible: false });
                    this.secondaryHandles[this.secondaryHandles.length - 1].setOptions({ visible: false });
                }
                else {
                    // hide adjacent secondary handles for better UI experience
                    // will show them when the move ends
                    if (index > 0) {
                        this.secondaryHandles[index - 1].setOptions({ visible: false });
                    }
                    if (index < this.primaryHandles.length) {
                        this.secondaryHandles[index].setOptions({ visible: false });
                    }
                }
                // polygon's first and last coordiantes should be the same
                coordinates[coordinates.length - 1] = coordinates[0];
                this.shape.setCoordinates([coordinates]);
            }
            // check secondary
            // promote secondary handle, populate other secondary handles
            if (draghandle.getHandleType() === HandleType.secondary) {
                // drag the handle and change the underlying shape
                var coordinates = this.selectedShapeCoordiantes[0];
                if (!this.isSeoncdaryHandleMoving) {
                    coordinates.splice(index + 1, 0, position);
                    this.isSeoncdaryHandleMoving = true;
                }
                else {
                    coordinates[index + 1] = position;
                }
                this.shape.setCoordinates([coordinates]);
            }
        }
        // if (draghandle.getHandleType() === HandleType.rotational) {
        //     // TODO
        //     return;
        // }
    };
    /**
     * Show the primary handle and the adjacent secondary handle when the drag ends
     * And enable shap dragging
     * @param draghandle
     * @param index
     */
    EditHelper.prototype.showHandles = function (draghandle, index) {
        if (this.shape.isCircle()) {
            var centroid_1 = this.selectedShapeCoordiantes;
            var radius_1 = this.shape.getProperties().radius;
            // populate the drag handles on the circle in the order of North, East, South, West
            var headingOffset_1 = 0;
            this.primaryHandles.forEach(function (hanlde) {
                hanlde.setPosition(azmaps__default.math.getDestination(centroid_1, headingOffset_1 += 90, radius_1));
                hanlde.setOptions({ visible: true });
            });
        }
        else {
            var position = draghandle.getPosition();
            var primaryHandlesSize = this.primaryHandles.length;
            var adjacentPrimaryDragHandleIndexA = void 0;
            var adjacentPrimaryDragHandleIndexB = void 0;
            var adjacentSecondaryDragHandleIndexA = void 0;
            var adjacentSecondaryDragHandleIndexB = void 0;
            if (this.shape.getType() === "LineString") {
                adjacentPrimaryDragHandleIndexA = index > 0 ? index - 1 : null;
                adjacentPrimaryDragHandleIndexB = index < primaryHandlesSize - 1 ? index + 1 : null;
                adjacentSecondaryDragHandleIndexA = index - 1;
                adjacentSecondaryDragHandleIndexB = index;
            }
            else if (this.shape.getType() === "Polygon") {
                adjacentPrimaryDragHandleIndexA = index === 0 ? primaryHandlesSize - 1 : index - 1;
                adjacentPrimaryDragHandleIndexB = index === primaryHandlesSize - 1 ? 0 : index + 1;
                adjacentSecondaryDragHandleIndexA = index === 0 ? primaryHandlesSize - 1 : index - 1;
                adjacentSecondaryDragHandleIndexB = index;
            }
            // has to use null because adjacentPrimaryDragHandleIndexA can be 0, which won't pass the if statement
            if (adjacentPrimaryDragHandleIndexA != null) {
                var adjacentPrimaryDragHandleA = this.primaryHandles[adjacentPrimaryDragHandleIndexA];
                // rectangles don't have secondary handles
                if (this.shape.isRectangle()) {
                    adjacentPrimaryDragHandleA.setOptions({ visible: true });
                }
                else {
                    var midPointA = this._getMidPosition(position, adjacentPrimaryDragHandleA.getPosition());
                    var adjacentSecondaryDragHandleA = this.secondaryHandles[adjacentSecondaryDragHandleIndexA];
                    adjacentSecondaryDragHandleA.setPosition(midPointA);
                    this.map.markers.add(adjacentSecondaryDragHandleA);
                    adjacentSecondaryDragHandleA.setOptions({ visible: true });
                }
            }
            if (adjacentPrimaryDragHandleIndexB != null) {
                var adjacentPrimaryDragHandleB = this.primaryHandles[adjacentPrimaryDragHandleIndexB];
                // rectangles don't have secondary handles
                if (this.shape.isRectangle()) {
                    adjacentPrimaryDragHandleB.setOptions({ visible: true });
                }
                else {
                    var midPointB = this._getMidPosition(position, adjacentPrimaryDragHandleB.getPosition());
                    var adjacentSecondaryDragHandleB = this.secondaryHandles[adjacentSecondaryDragHandleIndexB];
                    adjacentSecondaryDragHandleB.setPosition(midPointB);
                    this.map.markers.add(adjacentSecondaryDragHandleB);
                    adjacentSecondaryDragHandleB.setOptions({ visible: true });
                }
            }
        }
        draghandle.setOptions({ visible: true });
        this._enableShapeDrag();
    };
    /**
     * Helper method for populate drag handles on linestrings and polygons
     */
    EditHelper.prototype._generateDragHandles = function (coords) {
        if (this.shape.isCircle()) {
            var centroid = coords;
            var radius = this.shape.getProperties().radius;
            // populate the drag handles on the circle in the order of North, East, South, West
            var headingOffset = 0;
            for (var i = 0; i < 4; i++) {
                var position = azmaps__default.math.getDestination(centroid, headingOffset += 90, radius);
                var primaryDragHandle = new DragHandle(this.options.dragHandleStyle, this.map, this, HandleType.primary, i, this.options);
                primaryDragHandle.setPosition(position);
                this.map.markers.add(primaryDragHandle);
                this.primaryHandles.push(primaryDragHandle);
            }
            return;
        }
        coords = coords;
        for (var i = 0; i < coords.length; i++) {
            // Add primary drag handles
            var primaryDragHandle = new DragHandle(this.options.dragHandleStyle, this.map, this, HandleType.primary, i, this.options);
            primaryDragHandle.setPosition(coords[i]);
            this.primaryHandles.push(primaryDragHandle);
            this.map.markers.add(primaryDragHandle);
            // Add secondary drag handles between two primary drag handles
            // Only applies to LineString and Polygon
            if (!this.shape.isRectangle()) {
                if (i < coords.length - 1) {
                    var midpoint = this._getMidPosition(coords[i], coords[i + 1]);
                    var secondaryDragHandle = new DragHandle(this.options.secondaryDragHandleStyle, this.map, this, HandleType.secondary, i, this.options);
                    secondaryDragHandle.setPosition(midpoint);
                    this.map.markers.add(secondaryDragHandle);
                    this.secondaryHandles.push(secondaryDragHandle);
                }
            }
        }
        if (this.shape.getType() === "Polygon") {
            // polygon's first and last coord are the same, so only need to generate one
            this.map.markers.remove(this.primaryHandles.pop());
        }
    };
    EditHelper.prototype._getMidPosition = function (positionA, positionB) {
        // first convert latlnt to pixel and get the mid point
        var pixelA = this.map.positionsToPixels([positionA])[0];
        var pixelB = this.map.positionsToPixels([positionB])[0];
        var midPixel = [(pixelA[0] + pixelB[0]) / 2, (pixelA[1] + pixelB[1]) / 2];
        // then convert the pixel back to position
        return this.map.pixelsToPositions([midPixel])[0];
    };
    EditHelper.prototype._clearHandlesAndListeners = function () {
        this.map.markers.remove(this.primaryHandles);
        this.map.markers.remove(this.secondaryHandles);
        this.primaryHandles = [];
        this.secondaryHandles = [];
        // this.map.events.remove("mousedown", this.rotationalDragHandle, this.startRotate);
        // this.map.events.remove("mousemove", this.rotationalDragHandle, this.rotate);
        // this.map.events.remove("mouseup", this.rotationalDragHandle, this.endDragAndRotate);
        this._disableShapeDrag();
        if (this.shape && this.shape.getType() === "Point" && !this.shape.isCircle()) {
            this.shape.addProperty("_azureMapsMarker", this.defaultPointStyle);
        }
    };
    /////////////////////////// Drag begins ///////////////////////////////////////////
    EditHelper.prototype._enableShapeDrag = function () {
        if (this.options.shapeDraggingEnabled) {
            this.map.events.add("mousedown", this._startDrag);
            this.map.events.add("mousemove", this._drag);
            this.map.events.add("mouseup", this._endDragAndRotate);
        }
    };
    EditHelper.prototype._disableShapeDrag = function () {
        this.map.events.remove("mousedown", this._startDrag);
        this.map.events.remove("mousemove", this._drag);
        this.map.events.remove("mouseup", this._endDragAndRotate);
    };
    EditHelper.prototype._freezeMap = function (shape, e) {
        this.shape = shape;
        // Lock the maps ability to pan so that we can drag the symbol.
        MapInputHelper.lockMap(this.map);
        this.currentReferencedPixel = e.pixel;
    };
    /**
     * Updates the position of a shape as it dragged using a pixel accurate shift.
     * @param e The mouse event argument.
     */
    EditHelper.prototype._pixelAccurateUpdate = function (e) {
        // Shift the shape based on pixel offset.
        var dx = azmaps.Pixel.getX(this.currentReferencedPixel) - azmaps.Pixel.getX(e.pixel);
        var dy = azmaps.Pixel.getY(this.currentReferencedPixel) - azmaps.Pixel.getY(e.pixel);
        if (this.shape.getType() === "Point") {
            var coordinate = this.shape.getCoordinates();
            this.shape.setCoordinates(this._pixelShiftLocations(coordinate, dx, dy));
        }
        else {
            var coordinates = void 0;
            if (this.shape.getType() === "Polygon") {
                coordinates = this.shape.getCoordinates()[0];
            }
            else if (this.shape.getType() === "LineString") {
                coordinates = this.shape.getCoordinates();
            }
            for (var i = 0, len = coordinates.length; i < len; i++) {
                coordinates[i] = this._pixelShiftLocations(coordinates[i], dx, dy);
            }
            this.shape.setCoordinates(coordinates);
        }
        // Store the new point that was used to update the shape.
        this.currentReferencedPixel = e.pixel;
    };
    /**
     * Takes an array of locations and shifts them a specified distance in pixels.
     * @param locs The locations to shift.
     * @param dx Horizontal offset distance to shift the locations in pixels.
     * @param dy Vertical offset distance to shift the locations in pixels.
     * @returns An array of shifted locations.
     */
    EditHelper.prototype._pixelShiftLocations = function (locs, dx, dy) {
        // Based on the distance and heading, shift all locations in the array accordingly.
        var p = this.map.positionsToPixels([locs])[0];
        p[0] -= dx;
        p[1] -= dy;
        return this.map.pixelsToPositions([p])[0];
    };
    return EditHelper;
}());

/**
 * The drawing manager is the primary class that manages all the drawing functionality on the map.
 * It can be used directly (programmatically or with custom toolbars)
 * or in combination with the drawing toolbar control.
 */
var DrawingManager = /** @class */ (function (_super) {
    __extends(DrawingManager, _super);
    /**
     * Constructs a DrawingManager.
     * @param map The map to draw on.
     * @param options The options for the DrawingManager.
     */
    function DrawingManager(map, options) {
        var _this = _super.call(this) || this;
        _this.map = map;
        _this.options = new DrawingManagerOptions().merge(cloneDeepWith_1(options, DrawingManagerOptions._cloneCustomizer));
        _this.drawingLayers = new DrawingLayers();
        _this.drawingHelper = new DrawingHelper(_this.map, _this);
        _this.editHelper = new EditHelper(_this.map, options, _this.drawingLayers);
        _this.inputHelper = new MapInputHelper(_this.map, _this.options, _this.drawingLayers, _this.drawingHelper, _this.editHelper);
        _this.setOptions(_this.options);
        return _this;
    }
    /**
     * Disposes the DrawingManager.
     * When disposed, all resources used by the DrawingManager are released.
     * Any attached toolbars or dialogs will also be disposed.
     */
    DrawingManager.prototype.dispose = function () {
        // Dispose UI elements.
        this.options.toolbar._dispose();
        this.map = null;
        this.options = null;
        this.drawingLayers = null;
        this.source = null;
        this.drawingHelper = null;
        this.editHelper = null;
        this.inputHelper = null;
    };
    // /**
    //  * TODO Finish implementation and comments
    //  * Edits a shape. If the shape is not already in the data source, it adds it to it.
    //  * @param shape
    //  */
    // public edit(shape: azmaps.Shape) {
    //     // If the shape is not already in the data source, it adds it to it.
    //     if (!this.map.sources.getById(shape.getId())) {
    //         this.map.sources.add(shape);
    //     }
    //     // TODO
    //     // if (this.options.propertyEditor) {
    //     //     this.options.propertyEditor.edit(shape);
    //     // }
    // }
    /**
     * Gets the options used by the DrawingManager.
     */
    DrawingManager.prototype.getOptions = function () {
        return this.options;
    };
    /**
     * Gets the collection of layers used for rendering the shapes draw on the map.
     * Edit these layers' options to customize the rendering.
     */
    DrawingManager.prototype.getLayers = function () {
        return this.drawingLayers;
    };
    /**
     * Gets the data source used by the DrawingManager to store the completed shapes.
     */
    DrawingManager.prototype.getSource = function () {
        return this.source;
    };
    /**
     * Sets the options for the DrawingManager.
     * @param options The new options for the DrawingManager.
     */
    DrawingManager.prototype.setOptions = function (options) {
        var newOptions = new DrawingManagerOptions().merge(this.options, cloneDeepWith_1(options, DrawingManagerOptions._cloneCustomizer));
        // test if users pass in empty source in setOptions
        newOptions.source = newOptions.source || this.options.source;
        if (this.options.toolbar !== newOptions.toolbar) {
            if (this.options.toolbar) {
                this.options.toolbar._close();
            }
            this.options.toolbar = newOptions.toolbar;
            if (this.options.toolbar) {
                this.options.toolbar._open(this, this.map);
            }
        }
        else if (this.options.toolbar && !this.options.toolbar._isOpen()) {
            // open the initial toolbar if it's defined
            this.options.toolbar._open(this, this.map);
        }
        if (!this.options.source) {
            // If not defined when the drawing manager is created, automatically create a data source.
            this.source = new azmaps.source.DataSource();
            this.map.sources.add(this.source);
            this._setLayerSources();
        }
        else if (this.options.source !== newOptions.source) {
            /* The user should be able to swap out the source at any time.
            * Doing so should put the drawing manager into ‘idle’ mode.
            */
            this.source = this.options.source;
            newOptions.mode = DrawingMode.idle;
            this._setLayerSources();
        }
        if (this.options.mode !== newOptions.mode) {
            this._invokeEvent("drawingmodechanged", newOptions.mode);
        }
        this.options = newOptions;
        this.options.source = this.source;
        this.editHelper.setOptions(this.options);
        this.inputHelper.setOptions(this.options);
        this.drawingHelper.setOptions(this.options);
        this.inputHelper.setOptions(this.options);
    };
    /**
     * Returns the map the DrawingManager is attached to.
     * @internal
     */
    DrawingManager.prototype._getMap = function () {
        return this.map;
    };
    DrawingManager.prototype._setLayerSources = function () {
        if (!this.drawingLayers.polygonLayer) {
            this.drawingLayers.polygonLayer = new azmaps.layer.PolygonLayer(this.source, null, {
                fillColor: "rgba(0, 0, 0, 0.12)",
                filter: ["all", ["==", ["geometry-type"], "Polygon"], ["!", ["has", "_incomplete"]]]
            });
            this.map.layers.add(this.drawingLayers.polygonLayer);
        }
        else {
            this.drawingLayers.polygonLayer.setOptions({
                filter: ["==", ["geometry-type"], "Polygon"],
                source: this.source
            });
        }
        if (!this.drawingLayers.polygonOutlineLayer) {
            this.drawingLayers.polygonOutlineLayer = new azmaps.layer.LineLayer(this.source, null, {
                filter: ["any", ["==", ["geometry-type"], "Polygon"],
                    ["all", ["==", ["geometry-type"], "LineString"], ["has", "_outline"]]],
                strokeColor: "#000000"
            });
            this.map.layers.add(this.drawingLayers.polygonOutlineLayer);
        }
        else {
            this.drawingLayers.polygonOutlineLayer.setOptions({
                filter: ["any", ["==", ["geometry-type"], "Polygon"],
                    ["all", ["==", ["geometry-type"], "LineString"], ["has", "_outline"]]],
                source: this.source
            });
        }
        if (!this.drawingLayers.lineLayer) {
            this.drawingLayers.lineLayer = new azmaps.layer.LineLayer(this.source, null, {
                filter: ["all", ["==", ["geometry-type"], "LineString"], ["!", ["has", "_outline"]]],
                strokeColor: "#000000"
            });
            this.map.layers.add(this.drawingLayers.lineLayer);
        }
        else {
            this.drawingLayers.lineLayer.setOptions({
                filter: ["all", ["==", ["geometry-type"], "LineString"], ["!", ["has", "_outline"]]],
                source: this.source,
            });
        }
        if (!this.drawingLayers.pointLayer) {
            this.drawingLayers.pointLayer = new azmaps.layer.SymbolLayer(this.source, null, {
                filter: ["==", ["geometry-type"], "Point"],
                iconOptions: {
                    allowOverlap: true,
                    ignorePlacement: true,
                    image: ["case", ["has", "_azureMapsMarker"], ["get", "_azureMapsMarker"], "marker-black"],
                    size: .5
                }
            });
            this.map.layers.add(this.drawingLayers.pointLayer);
        }
        else {
            this.drawingLayers.pointLayer.setOptions({
                filter: ["==", ["geometry-type"], "Point"],
                source: this.source
            });
        }
    };
    return DrawingManager;
}(azmaps.internal.EventEmitter));



var baseDrawing = /*#__PURE__*/Object.freeze({
    __proto__: null,
    DrawingManager: DrawingManager,
    get DrawingMode () { return DrawingMode; },
    get DrawingInteractionType () { return DrawingInteractionType; }
});

var control = Namespace.merge("atlas.control", baseControl);
var drawing = Namespace.merge("atlas.drawing", baseDrawing);

exports.control = control;
exports.drawing = drawing;
